1999-12-30 13:32  mortene

	* src/nodes/SoCylinder.cpp:
	Compile fix for what seems to be a bug in GCC 2.95, as reported by
	Petter Reinholdtsen (pere@hungry.com) on coin-discuss.

1999-12-30 12:01  mortene

	* src/fields/SoField.cpp:
	Minor improvement to generate smaller binary files.

1999-12-30 12:00  mortene

	* src/errors/SoError.cpp:
	Minor fix.

1999-12-30 12:00  mortene

	* docs/coin.doxygen, include/Inventor/misc/SoBase.h,
	src/misc/SoBase.cpp, src/misc/general.metadon:
	Completed documentation and implementation of SoBase class.

1999-12-30 11:47  mortene

	* src/nodes/nodes.metadon:
	Removed old traces after the ``make config'' idea.

1999-12-30 11:47  mortene

	* include/Inventor/nodes/SoUnknownNode.h, src/nodes/Makefile.am,
	src/nodes/SoNode.cpp, src/nodes/SoUnknownNode.cpp:
	Added SoUnknownNode skeleton.

1999-12-30 11:45  mortene

	* include/Inventor/SbBasic.h.in:
	Corrected typo.

1999-12-29 11:53  mortene

	* configure.in, include/Inventor/draggers/SoDragger.h,
	src/Makefile.am, src/draggers/Makefile.am,
	src/draggers/SoDragger.cpp, src/draggers/draggers.metadon,
	src/misc/SoInteraction.cpp:

	Added skeleton for SoDragger.

1999-12-29 11:53  mortene

	* docs/plan.txt:
	Minor update.

1999-12-29 11:52  mortene

	* scripts/coin.el:
	Make header wrapper defines which does not crash with the reserved
	namespace for the C++ implementation.

1999-12-28 20:57  mortene

	* src/errors/: SoDebugError.cpp, SoMemoryError.cpp,
	SoReadError.cpp:
	Fixes some typos and some cosmetics.

1999-12-28 20:56  mortene

	* src/misc/SoBase.cpp:
	Bugfix.

1999-12-27 19:17  mortene

	* include/Inventor/fields/SoSubField.h, src/fields/FieldEqSame.tpl,
	src/fields/FieldId.tpl, src/fields/FieldInitClass.tpl,
	src/fields/MField.tpl, src/fields/MFieldAlloc.tpl,
	src/fields/MFieldConstructor.tpl, src/fields/MFieldRequired.tpl,
	src/fields/MFieldValue.tpl, src/fields/SoMFBitMask.cpp,
	src/fields/SoMFBool.cpp, src/fields/SoMFColor.cpp,
	src/fields/SoMFEngine.cpp, src/fields/SoMFEnum.cpp,
	src/fields/SoMFFloat.cpp, src/fields/SoMFInt32.cpp,
	src/fields/SoMFMatrix.cpp, src/fields/SoMFName.cpp,
	src/fields/SoMFNode.cpp, src/fields/SoMFPath.cpp,
	src/fields/SoMFPlane.cpp, src/fields/SoMFRotation.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoMFString.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoMFUInt32.cpp,
	src/fields/SoMFUShort.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFVec3f.cpp, src/fields/SoMFVec4f.cpp,
	src/fields/SoSFEnum.cpp, src/fields/SoSFImage.cpp,
	src/fields/SoSFTrigger.cpp:
	Moved common code from templates to macros.

1999-12-27 14:25  mortene

	* include/Inventor/fields/Field.tpl,
	include/Inventor/fields/FieldConstructor.tpl,
	include/Inventor/fields/MField.tpl,
	include/Inventor/fields/MFieldDerived.tpl,
	include/Inventor/fields/MFieldDerivedValue.tpl,
	include/Inventor/fields/MFieldRW.tpl,
	include/Inventor/fields/MFieldValue.tpl,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoSubField.h, src/fields/SoMFBitMask.cpp:
	Converted common code for multiple-value fields from templates to
	macros.

1999-12-27 12:16  mortene

	* include/Inventor/fields/SoSubField.h, src/fields/SField.tpl,
	src/fields/SFieldRequired.tpl, src/fields/SoSFBitMask.cpp,
	src/fields/SoSFBool.cpp, src/fields/SoSFColor.cpp,
	src/fields/SoSFEngine.cpp, src/fields/SoSFEnum.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFImage.cpp,
	src/fields/SoSFInt32.cpp, src/fields/SoSFMatrix.cpp,
	src/fields/SoSFName.cpp, src/fields/SoSFNode.cpp,
	src/fields/SoSFPath.cpp, src/fields/SoSFPlane.cpp,
	src/fields/SoSFRotation.cpp, src/fields/SoSFShort.cpp,
	src/fields/SoSFString.cpp, src/fields/SoSFTime.cpp,
	src/fields/SoSFTrigger.cpp, src/fields/SoSFUInt32.cpp,
	src/fields/SoSFUShort.cpp, src/fields/SoSFVec2f.cpp,
	src/fields/SoSFVec3f.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoSField.cpp:
	Converted common code in single-value fields from templates to
	macros.

1999-12-26 22:24  mortene

	* include/Inventor/fields/SField.tpl,
	include/Inventor/fields/SFieldDerived.tpl,
	include/Inventor/fields/SFieldDerivedValue.tpl,
	include/Inventor/fields/SFieldRW.tpl,
	include/Inventor/fields/SFieldValue.tpl,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSubField.h, src/fields/SoSFBitMask.cpp:
	Convert common code in single-value field headers from templates to
	macros.

1999-12-26 22:24  mortene

	* src/nodes/SoTexture2.cpp:
	Corrected typo.

1999-12-26 19:44  mortene

	* include/Inventor/errors/SoDebugError.h:
	Insert check to avoid trouble because of the "#define ERROR" in
	Win32 API header file wingdi.h.

1999-12-26 19:44  mortene

	* src/errors/SoDebugError.cpp:
	Bugfix.

1999-12-26 19:34  mortene

	* include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoReadError.h, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp:
	Removed the potential for buffer overflows in the error message
	handling classes.

1999-12-26 18:47  mortene

	* configure.in, src/Makefile.am, src/snprintf.c, src/snprintf.h,
	src/vsnprintf.c, src/vsnprintf.h:
	Fixed a number of problems with the vsnprintf() replacement. Also
	added replacement code for snprintf().

1999-12-26 15:45  mortene

	* include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/errors/errors.metadon,
	src/misc/SoDB.cpp:
	Documentation and misc codestyle fixes.

1999-12-26 15:44  mortene

	* Makefile.am, TODO, docs/coin.doxygen:
	Basic integration of Doxygen in the build process.

1999-12-23 08:02  mortene

	* src/nodes/SoVertexShape.cpp:
	Documented vertexProperty field.

1999-12-22 20:32  mortene

	* configure.in, src/Makefile.am, src/dummy.cpp, src/vsnprintf.c,
	src/vsnprintf.h:
	Implementation of a substitution for vsnprintf() on systems where
	it is missing.

1999-12-22 20:31  mortene

	* src/base/SbDict.cpp:
	Just fixed a typo.

1999-12-21 08:03  mortene

	* docs/plan.txt:
	Added time estimates.

1999-12-19 20:40  mortene

	* tools/ivcat/ivcat.cpp:
	Better and more robust handling of data coming from stdin.

1999-12-19 20:39  mortene

	* src/misc/: SoDB.cpp, SoInput.cpp:
	More robust file handling.

1999-12-19 18:29  mortene

	* src/misc/: SoBase.cpp, SoInput.cpp:
	Fix a bug in the reference tracking upon file import.

1999-12-19 18:19  mortene

	* TODO:
	Added item.

1999-12-17 19:05  mortene

	* include/Inventor/elements/SoColorPacker.h,
	src/elements/Makefile.am, src/elements/SoColorPacker.cpp:
	Removed obsoleted code.

1999-12-17 17:00  mortene

	* TODO:
	Added item.

1999-12-16 17:51  mortene

	* Makefile.am, configure.in:
	Options for conditional build of example programs and tools, by
	larsa.

1999-12-16 17:48  mortene

	* src/misc/SoDB.cpp:
	Initialize detail classes.

1999-12-16 17:35  mortene

	* include/Inventor/SbString.h, src/base/SbString.cpp,
	src/base/SbTime.cpp, src/misc/SoBase.cpp, src/misc/SoDB.cpp,
	src/nodes/SoText2.cpp:
	Fix a problem with the int-to-string conversion method in SbString
	which made SoText2 nodes crash X11 servers all over the place.

1999-12-16 17:28  mortene

	* src/base/SbMatrix.cpp:
	Use stub calls in place of assert(0).

1999-12-16 09:29  mortene

	* src/errors/: SoDebugError.cpp, SoError.cpp, SoMemoryError.cpp,
	SoReadError.cpp:
	Revert to static buffer code, as the strstream code didn't work
	very well..

1999-12-15 20:01  mortene

	* src/nodes/SoNode.cpp:
	pederb: bugfix (wrong assert check).

1999-12-15 20:00  mortene

	* src/nodes/SoSwitch.cpp:
	SoHandleEventAction behaviour for SoSwitch, by pederb.

1999-12-15 19:58  mortene

	* include/Inventor/SbViewVolume.h, src/actions/SoRayPickAction.cpp,
	src/base/SbViewVolume.cpp:
	pederb: removed temporary code, improved
	SbViewVolume::projectPointToLine().

1999-12-15 19:51  mortene

	* include/Inventor/misc/SoImageInterface.h,
	src/misc/SoImageInterface.cpp, src/nodes/SoImage.cpp,
	src/nodes/SoTexture2.cpp:
	Texturemap files are now searched for properly.

1999-12-15 19:50  mortene

	* src/misc/SoInput.cpp:
	A couple of bugfixes in the handling of the directory search path
	stack.

1999-12-15 19:45  mortene

	* src/fields/SoSFImage.cpp:
	Added some more documentation.

1999-12-15 19:45  mortene

	* src/errors/SoReadError.cpp:
	Bugfix.

1999-12-15 17:18  mortene

	* src/nodes/SoSeparator.cpp:
	Bugfix for SoSeparator search action behaviour, by pederb.

1999-12-15 17:15  mortene

	* src/errors/: SoDebugError.cpp, SoError.cpp, SoMemoryError.cpp,
	SoReadError.cpp:
	Fixed all potential buffer overflow problems.

1999-12-15 15:42  mortene

	* include/Inventor/actions/SoHandleEventAction.h,
	src/actions/SoHandleEventAction.cpp:
	Support for getting picked points from SoHandleEventAction, by
	pederb.

1999-12-15 15:41  mortene

	* include/Inventor/actions/SoAction.h, src/actions/SoAction.cpp:
	pederb: implemented a couple of missing functions.

1999-12-15 15:07  mortene

	* include/Inventor/SbBasic.h.in:
	Forgot to remove confdep include when cleaning out the "make
	config" stuff yesterday.

1999-12-15 15:04  mortene

	* include/Inventor/misc/SoBasic.h:
	Fix for definition of COIN_STUB, as reported by Larry D'Cunha.

1999-12-15 15:01  mortene

	* src/: base/SbViewVolume.cpp, actions/SoGetBoundingBoxAction.cpp,
	actions/SoRayPickAction.cpp, nodes/SoCamera.cpp,
	nodes/SoOrthographicCamera.cpp, nodes/SoPerspectiveCamera.cpp,
	nodes/SoSeparator.cpp:
	Handle rendering and raypicks gracefully when applied to scene
	graphs without any geometry.

1999-12-15 14:59  mortene

	* src/base/SbRotation.cpp:
	Fixed long standing bug caused by inaccuracies in floating point
	calculations. Problem solved by analyzing code layout and
	reordering operations.

1999-12-15 09:43  mortene

	* include/Inventor/SoInput.h, src/misc/SoDB.cpp,
	src/misc/SoInput.cpp, src/nodes/SoFile.cpp:
	SoInput now automatically pops files off its internal stack upon
	eof conditions. The patch also have a few other minor SoInput
	clean-ups and fixes.

1999-12-14 21:06  mortene

	* include/Inventor/SoDB.h, include/Inventor/SoFullPath.h,
	include/Inventor/SoPath.h, include/Inventor/SoSceneManager.h,
	include/Inventor/confdep.h, include/Inventor/soconfig.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoColorPacker.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolateAbs.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/misc/SoChildList.h, include/Inventor/misc/SoGL.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLevelOfSimplification.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h, scripts/coin.el,
	src/Makefile.am, src/actions/SoAction.cpp,
	src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoShapeStyleElement.cpp, src/engines/SoConvertAll.cpp,
	src/engines/SoEngine.cpp, src/engines/SoFieldConverter.cpp,
	src/engines/SoSelectOne.cpp, src/errors/SoError.cpp,
	src/fields/SoField.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFEngine.cpp, src/fields/SoMFFloat.cpp,
	src/fields/SoMFInt32.cpp, src/fields/SoMFMatrix.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/fields/SoMFShort.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoMFUInt32.cpp,
	src/fields/SoMFUShort.cpp, src/fields/SoSFBitMask.cpp,
	src/fields/SoSFBool.cpp, src/fields/SoSFColor.cpp,
	src/fields/SoSFEngine.cpp, src/fields/SoSFEnum.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFUInt32.cpp,
	src/fields/SoSFUShort.cpp, src/fields/SoSFVec2f.cpp,
	src/fields/SoSFVec3f.cpp, src/fields/SoSFVec4f.cpp,
	src/lists/SoAuditorList.cpp, src/misc/SoChildList.cpp,
	src/misc/SoDB.cpp, src/misc/SoGL.cpp, src/misc/SoSceneManager.cpp,
	src/nodes/SoAnnoText3.cpp, src/nodes/SoAnnoText3Property.cpp,
	src/nodes/SoAnnotation.cpp, src/nodes/SoAntiSquish.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoAsciiText.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoClipPlane.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoComplexity.cpp, src/nodes/SoCone.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoCube.cpp, src/nodes/SoCylinder.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoFaceSet.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoImage.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoLOD.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLevelOfSimplification.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLocateHighlight.cpp, src/nodes/SoMarkerSet.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoMaterialBinding.cpp,
	src/nodes/SoMatrixTransform.cpp, src/nodes/SoMultipleCopy.cpp,
	src/nodes/SoNode.cpp, src/nodes/SoNonIndexedShape.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoNurbsCurve.cpp, src/nodes/SoNurbsSurface.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoPickStyle.cpp, src/nodes/SoPointLight.cpp,
	src/nodes/SoPointSet.cpp, src/nodes/SoPolygonOffset.cpp,
	src/nodes/SoProfile.cpp, src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoSphere.cpp,
	src/nodes/SoSpotLight.cpp, src/nodes/SoSurroundScale.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoText2.cpp,
	src/nodes/SoText3.cpp, src/nodes/SoTexture2.cpp,
	src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoVertexShape.cpp, src/nodes/SoWWWAnchor.cpp,
	src/nodes/SoWWWInline.cpp:
	Remove traces after the old "make config" system -- as we now can
	do quick compile+link turn-around with the shared library trick.

1999-12-14 14:59  mortene

	* src/: misc/SoChildList.cpp, nodes/SoGroup.cpp, nodes/SoNode.cpp:
	Various fixes to notification mechanism, by pederb.

1999-12-13 23:05  mortene

	* examples/advanced/elements/lstextures.cpp,
	include/Inventor/SbOctTree.h, include/Inventor/misc/SoBasic.h,
	src/VRMLnodes/SoVRMLInterpOutput.cpp,
	src/VRMLnodes/SoVRMLInterpolator.cpp, src/actions/SoAction.cpp,
	src/actions/SoGLRenderAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/base/SbOctTree.cpp, src/bundles/SoTextureCoordinateBundle.cpp,
	src/caches/SoBoundingBoxCache.cpp,
	src/caches/SoConvexDataCache.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoNormalElement.cpp, src/elements/SoPROTOElement.cpp,
	src/elements/SoPickRayElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoWindowElement.cpp, src/engines/SoEngine.cpp,
	src/engines/SoEngineOutput.cpp, src/errors/SoError.cpp,
	src/fields/SoField.cpp, src/fields/SoFieldContainer.cpp,
	src/fields/SoFieldData.cpp, src/fields/SoMFColor.cpp,
	src/fields/SoMFEngine.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFString.cpp,
	src/fields/SoMField.cpp, src/fields/SoSFEngine.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFTrigger.cpp, src/misc/SoBase.cpp, src/misc/SoDB.cpp,
	src/misc/SoInput.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoPath.cpp, src/misc/SoState.cpp,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodekits/SoSceneKit.cpp, src/nodekits/SoShapeKit.cpp,
	src/nodes/SoAnnoText3.cpp, src/nodes/SoAntiSquish.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoEventCallback.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFaceSet.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoImage.cpp, src/nodes/SoIndexedFaceSet.cpp,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp,
	src/nodes/SoLevelOfSimplification.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoQuadMesh.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp,
	src/nodes/SoTriangleStripSet.cpp, src/nodes/SoWWWAnchor.cpp,
	src/nodes/SoWWWInline.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoFieldSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoPathSensor.cpp, src/sensors/SoSensor.cpp,
	src/sensors/SoSensorManager.cpp:
	Indicate missing functionality by printing a "stub" indicator,
	instead of core dumping with an assert statement.

1999-12-13 20:59  mortene

	* src/actions/: SoAction.cpp, SoHandleEventAction.cpp,
	SoWriteAction.cpp:
	Fixed a bug which prevented SoHandleEventAction from working.

1999-12-13 18:49  mortene

	* src/: lists/SoBaseList.cpp, lists/SoNodeList.cpp,
	misc/SoBase.cpp, misc/SoChildList.cpp, misc/SoPath.cpp:
	Fixes to ref-counting and notification mechanism, by pederb.

1999-12-13 16:22  mortene

	* TODO:
	Just a few minor updates.

1999-12-13 16:18  mortene

	* docs/: projects.txt, todo.txt:
	Removed redundant file, added a new file listing projects which
	could be suitable for students or summer interns.

1999-12-13 16:10  mortene

	* src/base/SbMatrix.cpp:
	Bugfix by pederb.

1999-12-13 09:53  mortene

	* src/nodes/SoCamera.cpp:
	Various bugfixes and code clean-ups in SoCamera action behavior, by
	pederb.

1999-12-13 09:25  mortene

	* include/Inventor/elements/SoTransparencyElement.h,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoTransparencyElement.cpp:
	Fixes to material elements, so they always contain at least one
	value. By pederb.

1999-12-10 17:18  mortene

	* include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp:
	Mostly complete implementation of the missing code in projector
	classes, by pederb.

1999-12-10 10:56  mortene

	* src/misc/: SoBase.cpp, SoImageInterface.cpp:
	Be less verbose during file import.

1999-12-09 23:29  mortene

	* examples/advanced/elements/: lstextures.cpp,
	texturefilenameelement.cpp, texturefilenameelement.h:
	Cleaned up code a bit, added some comments on what it does.

1999-12-09 21:23  mortene

	* examples/advanced/elements/texturefilenameelement.cpp,
	include/Inventor/elements/AbstractElementClassTypeHeader.tpl,
	include/Inventor/elements/AbstractElementHeader.tpl,
	include/Inventor/elements/ElementClassTypeHeader.tpl,
	include/Inventor/elements/ElementHeader.tpl,
	include/Inventor/elements/SoSubElement.h,
	src/elements/AbstractElementClassTypeSource.tpl,
	src/elements/AbstractElementSource.tpl,
	src/elements/ElementClassTypeSource.tpl,
	src/elements/ElementSource.tpl,
	src/elements/InitAbstractElementSource.tpl,
	src/elements/InitElementSource.tpl,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPROTOElement.cpp, src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp:
	Implemented remaining element extension macros and converted code
	from being template-based to use the macros instead.

1999-12-09 19:09  mortene

	* src/actions/SoCallbackAction.cpp:
	Fixed bug reported by Larry D'Cunha.

1999-12-09 17:51  mortene

	* examples/advanced/elements/texturefilenameelement.h,
	include/Inventor/elements/AbstractElementClassTypeHeader.tpl,
	include/Inventor/elements/ElementClassTypeHeader.tpl,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h:
	Implemented element header macros and replaced template-based code
	in all headers.

1999-12-09 17:50  mortene

	* include/Inventor/actions/SoCallbackAction.h,
	src/actions/SoCallbackAction.cpp:
	pederb: bugfix (now you can set as many callbacks as you want for
	each node), plus some new functionality (support for preTail and
	postTail).

1999-12-09 16:43  mortene

	* configure.in, examples/Makefile.am,
	examples/advanced/Makefile.am,
	examples/advanced/elements/Makefile.am,
	examples/advanced/elements/lstextures.cpp,
	examples/advanced/elements/texturefilenameelement.cpp,
	examples/advanced/elements/texturefilenameelement.h:
	Initial check-in of example code to show off how to make your own
	elements and how to use them during scene graph traversal.  Code by
	pederb.

1999-12-09 16:42  mortene

	* TODO:
	Added note on upgrading to latest libtool.

1999-12-09 13:44  mortene

	* include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp,
	src/nodes/SoNonIndexedShape.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsSurface.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoVertexShape.cpp:
	pederb: added get*ArrayPtr() extension methods for material-,
	normal-, coordinate- and texture-elements.

1999-12-08 23:39  mortene

	* include/Inventor/: nodekits/SoSubKit.h, nodes/SoSubNode.h:
	Fixes to compile with IRIX MIPS CC 5.3, by pederb.

1999-12-08 23:25  mortene

	* src/projectors/SbCylinderPlaneProjector.cpp:
	Added missing include, as reported by Larry D'Cunha.

1999-12-08 19:52  mortene

	* include/Inventor/SoInput.h, src/misc/SoDB.cpp,
	src/misc/SoInput.cpp, src/nodes/SoFile.cpp:
	Temporary hack fix for SoFile bug. Analyzed situation and added
	further comments on proper fix.

1999-12-08 17:42  mortene

	* include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbPlaneProjector.cpp:
	pederb: implementation of SbCylinderPlaneProjector, plus misc
	updates in other projector classes.

1999-12-07 23:06  mortene

	* src/projectors/SbCylinderSectionProjector.cpp:
	Added missing include, as reported by Larry D'Cunha.

1999-12-07 15:10  mortene

	* include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp:
	pederb: implemented SbCylinderProjector and
	SbCylinderSectionProjector.

1999-12-07 12:59  mortene

	* include/Inventor/projectors/SbPlaneProjector.h,
	src/projectors/SbPlaneProjector.cpp:
	pederb: completed SbPlaneProjector implementation.

1999-12-07 09:29  mortene

	* src/misc/SoImageInterface.cpp:
	Use "#if" to check defines instead of "#if defined()", to be more
	robust.

1999-12-06 22:36  mortene

	* configure.in, tools/Makefile.am,
	tools/ivNodeKitStructure/.cvsignore,
	tools/ivNodeKitStructure/Makefile.am,
	tools/ivNodeKitStructure/ivNodeKitStructure.cpp:
	Implemented ivNodeKitStructure tool.

1999-12-06 22:34  mortene

	* tools/ivcat/ivcat.cpp:
	Use "HAVE_GETOPT" instead of check on WIN32 in #ifdefs.

1999-12-06 15:38  mortene

	* include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/nodes/SoMaterial.h,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoRayPickAction.cpp, src/base/SbCylinder.cpp,
	src/base/SbMatrix.cpp, src/base/SbOctTree.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbTesselator.cpp, src/base/SbTime.cpp,
	src/base/SbVec2f.cpp, src/base/SbVec3f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbXfBox3f.cpp,
	src/caches/SoNormalCache.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoShininessElement.cpp, src/engines/SoOneShot.cpp,
	src/fields/SoFieldData.cpp, src/fields/SoSFBitMask.cpp,
	src/fields/SoSFBool.cpp, src/fields/SoSFFloat.cpp,
	src/fields/SoSFInt32.cpp, src/fields/SoSFTime.cpp,
	src/fields/SoSFUInt32.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLFaceSetTemplate.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoGLTristripTemplate.cpp, src/misc/SoImageInterface.cpp,
	src/misc/SoNormalGenerator.cpp, src/misc/SoPath.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoMultipleCopy.cpp,
	src/nodes/SoNonIndexedShape.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoText2.cpp:
	pederb: fixed all (672) warnings when compiling with MS VC6.0.

1999-12-05 22:19  mortene

	* src/nodekits/SoBaseKit.cpp:
	Implemented SoBaseKit::getPart().

1999-12-05 20:02  mortene

	* src/nodekits/SoNodekitCatalog.cpp:
	Implemented recursiveSearch(), which means SoNodekitCatalog class
	is now 100% complete.

1999-12-05 20:02  mortene

	* src/lists/SbList.cpp:
	Documented find().

1999-12-05 14:56  mortene

	* TODO, src/Make-Common.tpl, src/Make-Install.tpl, src/Makefile.am,
	src/VRMLnodes/Makefile.am, src/actions/Makefile.am,
	src/base/Makefile.am, src/bundles/Makefile.am,
	src/caches/Makefile.am, src/details/Makefile.am,
	src/elements/Makefile.am, src/engines/Makefile.am,
	src/errors/Makefile.am, src/events/Makefile.am,
	src/fields/Makefile.am, src/lists/Makefile.am,
	src/misc/Makefile.am, src/nodekits/Makefile.am,
	src/nodes/Makefile.am, src/projectors/Makefile.am,
	src/sensors/Makefile.am, src/system/Makefile.am:
	Improved the procedure for installing header files.

1999-12-05 13:21  mortene

	* src/: Make-Common.tpl, Make-CompileSilent.tpl, Make-Install.tpl,
	Make-LibtoolSilent.tpl, Make-LinkSilent.tpl, Makefile.am,
	VRMLnodes/Makefile.am, actions/Makefile.am, base/Makefile.am,
	bundles/Makefile.am, caches/Makefile.am, details/Makefile.am,
	elements/Makefile.am, engines/Makefile.am, errors/Makefile.am,
	events/Makefile.am, fields/Makefile.am, lists/Makefile.am,
	misc/Makefile.am, nodekits/Makefile.am, nodes/Makefile.am,
	projectors/Makefile.am, sensors/Makefile.am, system/Makefile.am:
	"Templatized" some rules in the Makefile.am files so the build
	process is less verbose.

1999-12-05 13:20  mortene

	* src/: engines/SoBoolOperation.cpp, misc/SoBase.cpp,
	misc/SoGL.cpp, misc/SoGLFaceSetTemplate.cpp,
	nodekits/SoBaseKit.cpp, nodes/SoAnnoText3Property.cpp,
	nodes/SoImage.cpp, nodes/SoIndexedFaceSet.cpp, nodes/SoNode.cpp,
	nodes/SoText2.cpp:
	Fixed code which made egcs 1.0.2 emit warnings when compiling "no
	debug" libCoin.

1999-12-05 13:17  mortene

	* TODO:
	Misc updates.

1999-12-05 10:43  mortene

	* src/actions/: ActionClassTypeSource.tpl, ActionSource.tpl,
	InitActionSource.tpl, SoBoxHighlightRenderAction.cpp,
	SoCallbackAction.cpp, SoGetBoundingBoxAction.cpp,
	SoGetMatrixAction.cpp, SoGetPrimitiveCountAction.cpp,
	SoGlobalSimplifyAction.cpp, SoHandleEventAction.cpp,
	SoLineHighlightRenderAction.cpp, SoPickAction.cpp,
	SoRayPickAction.cpp, SoReorganizeAction.cpp, SoSearchAction.cpp,
	SoShapeSimplifyAction.cpp, SoSimplifyAction.cpp,
	SoToVRML2Action.cpp, SoToVRMLAction.cpp, SoWriteAction.cpp:
	Codestyle fixes.

1999-12-05 10:41  mortene

	* scripts/templant:
	Made it possible to recognize "##$" as a token prefix in addition
	to "//$". Will be put in use later when "templanting" the
	Makefile.am files with common rules.

1999-12-05 10:40  mortene

	* include/Inventor/actions/SoGLRenderAction.h,
	src/actions/SoGLRenderAction.cpp:
	Support for all transparency types, by pederb.

1999-12-01 17:20  mortene

	* docs/plan.txt:
	Minor changes.

1999-12-01 16:01  mortene

	* src/nodes/: SoArray.cpp, SoLOD.cpp, SoLevelOfDetail.cpp,
	SoMultipleCopy.cpp, SoSwitch.cpp:
	pederb: bugfixes to SoCallbackAction behavior (bug reported by
	Larry D'Cunha).

1999-12-01 09:24  mortene

	* src/actions/SoCallbackAction.cpp:
	pederb: fixed bug reported by Larry D'Cunha. (SoCallbackAction now
	uses SoType::getAllDerivedFrom() when setting callbacks.)

1999-11-30 18:34  mortene

	* src/nodes/SoIndexedFaceSet.cpp:
	Bugfix by pederb.

1999-11-30 18:31  mortene

	* src/: actions/actions.metadon, details/details.metadon:
	Updates to Metadon status files, by pederb.

1999-11-30 18:30  mortene

	* include/Inventor/misc/SoImageInterface.h,
	include/Inventor/nodes/SoImage.h, src/misc/SoImageInterface.cpp,
	src/nodes/SoImage.cpp:
	pederb: implementation of SoImage node.

1999-11-30 16:12  mortene

	* TODO:
	Added item: fix variable naming not compatible with the ISO C++
	standard.

1999-11-30 08:06  mortene

	* src/nodes/SoUnits.cpp:
	pederb: bugfix, enable SoUnitsElement for recently implemented
	actions.

1999-11-29 19:28  mortene

	* include/Inventor/SoImageInterface.h,
	include/Inventor/misc/SoImageInterface.h, src/Makefile.am,
	src/elements/SoGLTextureImageElement.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoImageInterface.cpp, src/nodes/SoTexture2.cpp:
	Moved SoImageInterface.h and removed it from the list of header
	files to install.

1999-11-29 18:45  mortene

	* src/nodes/SoShape.cpp:
	pederb: fixes a typo.

1999-11-29 13:58  mortene

	* src/nodes/SoShape.cpp:
	pederb: added support for rendering shapes with transparent
	textures.

1999-11-29 12:05  mortene

	* include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/nodes/SoCube.h, src/misc/Makefile.am,
	src/misc/SoGenerate.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/nodes/SoCone.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoSphere.cpp:
	Redesign of generatePrimitives code, by pederb.

1999-11-29 11:26  mortene

	* src/misc/SoGL.cpp:
	Some compilers aren't too fond of the extra comma at the end of the
	array values.

1999-11-29 11:24  mortene

	* src/misc/SoGL.cpp:
	pederb: use correct texture coordinates when mapping on an SoCube.

1999-11-29 10:40  mortene

	* include/Inventor/SoImageInterface.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/misc/SoGL.h, include/Inventor/misc/SoGLImage.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoTexture2.h,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLImage.cpp, src/misc/SoImageInterface.cpp,
	src/nodes/SoNode.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoTexture2.cpp:
	From pederb:
	- cleanup and optimalizations of the texturemapping code
	- support for SoComplexity::textureQuality

1999-11-29 10:37  mortene

	* include/Inventor/nodekits/SoNodeKitListPart.h,
	src/nodekits/SoNodeKitListPart.cpp:
	Decided to not support a protected member in the OIV API.

1999-11-28 22:02  mortene

	* src/: base/SbMatrix.cpp, base/SbViewVolume.cpp,
	fields/SoSFNode.cpp, nodekits/nodekits.metadon:
	Documentation fixes.

1999-11-28 22:01  mortene

	* src/misc/SoChildList.cpp:
	Codestyle fixes.

1999-11-28 22:01  mortene

	* src/actions/SoAction.cpp:
	Minor improvements to code for the sake of clarity.

1999-11-28 21:50  mortene

	* src/actions/SoWriteAction.cpp:
	Fixed a nasty bug.

1999-11-28 21:48  mortene

	* include/Inventor/nodekits/SoNodeKitListPart.h,
	src/nodekits/SoNodeKitListPart.cpp:
	Implemented code to do import and copy operations correctly.

1999-11-28 15:52  mortene

	* TODO, configure.in, include/Inventor/SbDict.h,
	src/base/SbDict.cpp, src/base/SbName.cpp,
	src/misc/SoImageInterface.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoGroup.cpp:
	Misc minor codestyle fixes.

1999-11-28 15:51  mortene

	* include/Inventor/nodekits/SoSubKit.h, src/nodekits/SoBaseKit.cpp,
	src/nodekits/SoNodeKit.cpp, src/nodekits/nodekits.metadon:
	Start if SoBaseKit::getPart() implementation, plus a few minor
	updates.

1999-11-28 15:50  mortene

	* scripts/metadon:
	Made a small improvement to the report output.

1999-11-28 15:48  mortene

	* include/Inventor/nodekits/SoNodeKitListPart.h,
	src/nodekits/SoNodeKitListPart.cpp:
	Almost complete implementation.

1999-11-27 20:09  mortene

	* include/Inventor/SbDict.h, src/base/SbDict.cpp:
	pederb: removed bugs, removed obsoleted code, added a function hook
	for calculating hashing values.

1999-11-26 14:42  mortene

	* include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoTextDetail.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLevelOfSimplification.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h, src/coindev/coindev.cpp,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp, src/nodes/SoAnnoText3.cpp,
	src/nodes/SoAnnoText3Property.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoBlinker.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLevelOfSimplification.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLinearProfile.cpp,
	src/nodes/SoLocateHighlight.cpp, src/nodes/SoMarkerSet.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoMaterialBinding.cpp,
	src/nodes/SoMatrixTransform.cpp, src/nodes/SoMultipleCopy.cpp,
	src/nodes/SoNode.cpp, src/nodes/SoNonIndexedShape.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoNurbsCurve.cpp, src/nodes/SoNurbsProfile.cpp,
	src/nodes/SoNurbsSurface.cpp, src/nodes/SoOrthographicCamera.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoPendulum.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/nodes/SoPickStyle.cpp, src/nodes/SoPointLight.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoResetTransform.cpp,
	src/nodes/SoRotation.cpp, src/nodes/SoRotationXYZ.cpp,
	src/nodes/SoRotor.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoSelection.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoShapeHints.cpp,
	src/nodes/SoShuttle.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText3.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoVertexShape.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	tools/ivcat/ivcat.cpp, tools/ivhierarchy/ivhierarchy.cpp:
	Last whitespace cleanup patch.

1999-11-26 13:59  mortene

	* include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoColorPacker.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	src/actions/SoAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoColorPacker.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPROTOElement.cpp, src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp:
	Convert tabs to spaces to have source look ok in editors where a
	tab is not always equal to 8 spaces. Also remove unnecessary
	whitespace at end of line and end of buffer.

1999-11-26 13:40  mortene

	* src/nodes/SoShape.cpp:
	Bugfix by pederb for SoGetPrimitiveCountAction.

1999-11-26 13:11  mortene

	* include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	src/details/SoFaceDetail.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoPointSet.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoTriangleStripSet.cpp:
	Better face-, point-, and line-details support when picking, by
	pederb.

1999-11-25 22:32  mortene

	* src/nodes/: SoCone.cpp, SoCube.cpp, SoCylinder.cpp,
	SoFaceSet.cpp, SoImage.cpp, SoIndexedFaceSet.cpp,
	SoIndexedLineSet.cpp, SoIndexedTriangleStripSet.cpp, SoLineSet.cpp,
	SoPointSet.cpp, SoQuadMesh.cpp, SoShape.cpp, SoSphere.cpp,
	SoText2.cpp, SoTriangleStripSet.cpp:
	Fixed bugs resulting from a typo and a bit of cut'n'paste.. thanks
	to Larry D'Cunha for reporting it.

1999-11-25 22:28  mortene

	* src/misc/SoImageInterface.cpp:
	Fixed bug which manifested itself when compiling for Win32.
	Reported by Larry D'Cunha.

1999-11-25 22:26  mortene

	* configure.in:
	Fixed a minor configure problem.

1999-11-25 17:18  mortene

	* include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/nodes/SoAnnoText3Property.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCone.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoCoordinate4.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoImage.cpp, src/nodes/SoIndexedFaceSet.cpp,
	src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoLOD.cpp,
	src/nodes/SoLineSet.cpp, src/nodes/SoMaterialBinding.cpp,
	src/nodes/SoMatrixTransform.cpp, src/nodes/SoMultipleCopy.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoPointSet.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoRotation.cpp, src/nodes/SoRotationXYZ.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoSphere.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoText2.cpp,
	src/nodes/SoTransform.cpp, src/nodes/SoTransformSeparator.cpp,
	src/nodes/SoTransformation.cpp, src/nodes/SoTranslation.cpp,
	src/nodes/SoTriangleStripSet.cpp, src/nodes/SoUnits.cpp,
	src/nodes/SoVertexProperty.cpp:
	Full implementation of SoGetPrimitiveCountAction, by pederb.

1999-11-25 10:31  mortene

	* include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	src/bundles/SoBundle.cpp, src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp,
	src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	src/caches/SoConvexDataCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp:
	Convert tabs to spaces to have source look ok in editors where a
	tab is not always equal to 8 spaces. Also remove unnecessary
	whitespace at end of line and end of buffer.

1999-11-25 10:09  mortene

	* include/Inventor/SoImageInterface.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/nodes/SoTexture2.h,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoTextureImageElement.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoImageInterface.cpp, src/nodes/SoTexture2.cpp,
	src/nodes/SoVertexProperty.cpp:
	pederb: Fixed bugs in and redesigned the texture handling.

1999-11-24 18:59  mortene

	* src/lists/SoPathList.cpp:
	Fix for compile error on MSVC, by pederb. Reported by Larry
	D'Cunha.

1999-11-24 14:45  mortene

	* include/Inventor/Sb.h, include/Inventor/SbBSPTree.h,
	include/Inventor/SbBox.h, include/Inventor/SbBox2f.h,
	include/Inventor/SbBox2s.h, include/Inventor/SbBox3f.h,
	include/Inventor/SbColor.h, include/Inventor/SbColor4f.h,
	include/Inventor/SbCylinder.h, include/Inventor/SbDict.h,
	include/Inventor/SbHeap.h, include/Inventor/SbLine.h,
	include/Inventor/SbLinear.h, include/Inventor/SbMatrix.h,
	include/Inventor/SbName.h, include/Inventor/SbOctTree.h,
	include/Inventor/SbPList.h, include/Inventor/SbPlane.h,
	include/Inventor/SbRotation.h, include/Inventor/SbSphere.h,
	include/Inventor/SbString.h, include/Inventor/SbTesselator.h,
	include/Inventor/SbTime.h, include/Inventor/SbVec2f.h,
	include/Inventor/SbVec2s.h, include/Inventor/SbVec3f.h,
	include/Inventor/SbVec4f.h, include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoImageInterface.h,
	include/Inventor/SoInput.h, include/Inventor/SoInteraction.h,
	include/Inventor/SoLists.h, include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/confdep.h,
	include/Inventor/VRMLnodes/SoVRMLInterpOutput.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoEvents.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoFieldData.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/lists/SbIntList.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoCallbackList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/lists/SoVRMLInterpOutputList.h,
	include/Inventor/misc/SoAuditorList.h,
	include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	include/Inventor/misc/SoCallbackList.h,
	include/Inventor/misc/SoChildList.h, include/Inventor/misc/SoGL.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbProjectors.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h,
	include/Inventor/system/inttypes.h,
	include/Inventor/system/kosher.h,
	src/VRMLnodes/SoVRMLInterpOutput.cpp,
	src/VRMLnodes/SoVRMLInterpolator.cpp, src/base/SbBSPTree.cpp,
	src/base/SbBox2f.cpp, src/base/SbBox2s.cpp, src/base/SbBox3f.cpp,
	src/base/SbColor.cpp, src/base/SbColor4f.cpp,
	src/base/SbCylinder.cpp, src/base/SbDict.cpp, src/base/SbHeap.cpp,
	src/base/SbLine.cpp, src/base/SbMatrix.cpp, src/base/SbName.cpp,
	src/base/SbOctTree.cpp, src/base/SbPlane.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbString.cpp, src/base/SbTesselator.cpp,
	src/base/SbTime.cpp, src/base/SbVec2f.cpp, src/base/SbVec2s.cpp,
	src/base/SbVec3f.cpp, src/base/SbVec4f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbViewportRegion.cpp,
	src/base/SbXfBox3f.cpp, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/events/SoButtonEvent.cpp,
	src/events/SoEvent.cpp, src/events/SoKeyboardEvent.cpp,
	src/events/SoLocation2Event.cpp, src/events/SoMotion3Event.cpp,
	src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/fields/SoFieldData.cpp,
	src/fields/SoMFBitMask.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFColor.cpp, src/fields/SoMFEngine.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFFloat.cpp,
	src/fields/SoMFInt32.cpp, src/fields/SoMFMatrix.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/fields/SoMFShort.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFTime.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoMFUShort.cpp,
	src/fields/SoMFVec2f.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMField.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoSFEngine.cpp,
	src/fields/SoSFEnum.cpp, src/fields/SoSFFloat.cpp,
	src/fields/SoSFImage.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFTrigger.cpp,
	src/fields/SoSFUInt32.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/SoSFVec3f.cpp,
	src/fields/SoSFVec4f.cpp, src/fields/SoSField.cpp,
	src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	src/lists/SoActionMethodList.cpp, src/lists/SoAuditorList.cpp,
	src/lists/SoBaseList.cpp, src/lists/SoCallbackList.cpp,
	src/lists/SoDetailList.cpp, src/lists/SoEnabledElementsList.cpp,
	src/lists/SoEngineList.cpp, src/lists/SoEngineOutputList.cpp,
	src/lists/SoFieldList.cpp, src/lists/SoNodeList.cpp,
	src/lists/SoPickedPointList.cpp, src/lists/SoTypeList.cpp,
	src/lists/SoVRMLInterpOutputList.cpp, src/misc/SoBase.cpp,
	src/misc/SoChildList.cpp, src/misc/SoDB.cpp,
	src/misc/SoFullPath.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLFaceSetTemplate.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoGLTristripTemplate.cpp, src/misc/SoInput.cpp,
	src/misc/SoInteraction.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoNotification.cpp, src/misc/SoOutput.cpp,
	src/misc/SoPath.cpp, src/misc/SoPickedPoint.cpp,
	src/misc/SoPrimitiveVertex.cpp, src/misc/SoSceneManager.cpp,
	src/misc/SoState.cpp, src/misc/SoType.cpp,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp:
	Convert tabs to spaces to have source look ok in editors where a
	tab is not always equal to 8 spaces. Also remove unnecessary
	whitespace at end of line and end of buffer.

1999-11-24 14:43  mortene

	* include/Inventor/lists/SoPathList.h, src/lists/SoPathList.cpp:
	Added missing functionality, by pederb.

1999-11-24 14:04  mortene

	* include/Inventor/actions/SoBoxHighlightRenderAction.h,
	src/actions/SoBoxHighlightRenderAction.cpp:
	Implementation of SoBoxHighlightRenderAction, by pederb.

1999-11-24 14:03  mortene

	* include/Inventor/nodes/SoSelection.h, src/nodes/SoSelection.cpp:
	SoSelection implementation, by pederb.

1999-11-24 13:33  mortene

	* configure.in, examples/Makefile.am, tools/Makefile.am,
	tools/ivhierarchy/.cvsignore, tools/ivhierarchy/Makefile.am,
	tools/ivhierarchy/ivhierarchy.cpp:
	Moved ``ivhierarchy'' tool from examples/ to tools/ directory.

1999-11-24 13:09  mortene

	* TODO, configure.in, examples/Makefile.am, tools/Makefile.am,
	tools/ivcat/.cvsignore, tools/ivcat/Makefile.am,
	tools/ivcat/ivcat.cpp:
	Moved ``ivcat'' tool from examples/ to tools/ directory.

1999-11-24 12:58  mortene

	* Makefile.am, autogen.sh, configure.in, tools/Makefile.am:
	Added a "tools/" directory.

1999-11-23 15:26  mortene

	* autogen.sh:
	Copied Lars' helptext in the SoQt autogen.sh file to the one in
	Coin also.

1999-11-23 14:13  mortene

	* include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoShape.h, src/details/SoFaceDetail.cpp,
	src/details/SoLineDetail.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoPointSet.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoTriangleStripSet.cpp:
	Return details from generatePrimitives() and SoCallbackAction, by
	pederb.

1999-11-23 13:37  mortene

	* include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoExpressionParser.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolateAbs.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoTriggerAny.h,
	src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp, src/engines/SoConcatenate.cpp,
	src/engines/SoConvertAll.cpp, src/engines/SoCounter.cpp,
	src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoExpressionParser.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolateAbs.cpp,
	src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoOnOff.cpp,
	src/engines/SoOneShot.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoTriggerAny.cpp:
	Convert tabs to spaces to have source look ok in editors where a
	tab is not always equal to 8 spaces. Also remove unnecessary
	whitespace at end of line and end of buffer.

1999-11-23 12:37  mortene

	* src/nodekits/: SoAppearanceKit.cpp, SoBaseKit.cpp,
	SoCameraKit.cpp, SoInteractionKit.cpp, SoLightKit.cpp,
	SoNodekitCatalog.cpp, SoSceneKit.cpp, SoSeparatorKit.cpp,
	SoShapeKit.cpp, SoWrapperKit.cpp:
	Workaround to humour the MS VisualC++ compiler into accepting macro
	arguments which should be the empty string. Problem reported by
	Larry D'Cunha of Okino.

1999-11-22 20:27  mortene

	* include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodekits/SoNodekitCatalog.h,
	include/Inventor/nodekits/SoSceneKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	src/misc/SoImageInterface.cpp, src/nodekits/SoAppearanceKit.cpp,
	src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoLightKit.cpp, src/nodekits/SoNodeKit.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodekits/SoNodekitCatalog.cpp, src/nodekits/SoSceneKit.cpp,
	src/nodekits/SoSeparatorKit.cpp, src/nodekits/SoShapeKit.cpp,
	src/nodekits/SoWrapperKit.cpp:
	"Untabify" and other whitespace fixes to make code look decent in
	other editors than Emacs, and with other tab-sizes than 8.

1999-11-22 20:25  mortene

	* src/nodekits/SoBaseKit.cpp:
	Use macros where possible.

1999-11-22 20:25  mortene

	* src/misc/: SoDB.cpp, SoPath.cpp:
	Initialize SoPath in the type system.

1999-11-22 14:33  mortene

	* models/oiv_compliance/indexedfaceset.iv:
	pederb: made file valid according to spec.

1999-11-22 14:07  mortene

	* include/Inventor/nodes/SoVertexShape.h,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedShape.cpp:
	Fixes bug with automatically generated normals during an
	SoCallbackAction, by pederb. Reported by Larry D'Cunha of Okino.

1999-11-22 12:47  mortene

	* include/Inventor/elements/SoClipPlaneElement.h,
	src/actions/SoRayPickAction.cpp, src/base/SbPlane.cpp,
	src/elements/SoClipPlaneElement.cpp:
	Support for ray picking action between SoClipPlane defined clipping
	planes, by pederb.

1999-11-21 16:03  mortene

	* src/nodekits/: SoNodekitCatalog.cpp, SoShapeKit.cpp:
	Catalog bugfix.

1999-11-21 16:02  mortene

	* src/nodekits/SoBaseKit.cpp:
	Code cleanup.

1999-11-21 02:08  mortene

	* include/Inventor/nodekits/SoSubKit.h,
	src/nodekits/SoAppearanceKit.cpp, src/nodekits/SoBaseKit.cpp,
	src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoLightKit.cpp, src/nodekits/SoNodekitCatalog.cpp,
	src/nodekits/SoSceneKit.cpp, src/nodekits/SoSeparatorKit.cpp,
	src/nodekits/SoShapeKit.cpp, src/nodekits/SoWrapperKit.cpp:
	Implemented all the static nodekit catalog stuff.

1999-11-20 14:24  mortene

	* include/Inventor/nodekits/SoSubKit.h,
	src/nodekits/SoAppearanceKit.cpp, src/nodekits/SoBaseKit.cpp:
	Added more nodekits implementation.

1999-11-20 14:23  mortene

	* src/nodekits/SoNodekitCatalog.cpp:
	Bugfix.

1999-11-20 14:22  mortene

	* include/Inventor/nodes/SoSubNode.h:
	Add the "FIRST_INSTANCE" macro.

1999-11-18 18:24  mortene

	* include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoSubKit.h, src/nodekits/SoBaseKit.cpp:
	Implemented more of SoBaseKit and duplicated some of the code used
	in SoBaseKit to the SoSubKit macros.

1999-11-18 12:16  mortene

	* src/nodes/: SoArray.cpp, SoMultipleCopy.cpp:
	pederb: documented how pick() works with SoArray and SoMultipleCopy
	for us, as opposed to OIV's behaviour. Also simplified getMatrix()
	methods.

1999-11-18 11:49  mortene

	* src/nodes/: SoIndexedLineSet.cpp, SoIndexedTriangleStripSet.cpp:
	Bgufixes by pederb for generatePrimitives().

1999-11-18 11:49  mortene

	* src/nodes/SoShape.cpp:
	Bugfix by pederb for quadmesh handling.

1999-11-17 20:47  mortene

	* include/Inventor/SoPickedPoint.h, src/misc/SoPickedPoint.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoMultipleCopy.cpp:
	SoArray and SoMultipleCopy picking, by pederb.

1999-11-17 20:46  mortene

	* scripts/coin.el:
	Made elisp function more robust.

1999-11-17 17:30  mortene

	* include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoVertexProperty.h,
	src/actions/SoRayPickAction.cpp, src/base/SbBSPTree.cpp,
	src/base/SbTime.cpp, src/elements/SoGLShapeHintsElement.cpp,
	src/nodekits/SoNodekitCatalog.cpp:
	larsa: Compiled with -pedantic and -ansi - compile is still not
	clean, but remaining warnings are mostly external or of the "unused
	parameter/variable"-type...

1999-11-17 15:30  mortene

	* src/nodes/SoTransformation.cpp:
	Bugfix by pederb: SoModelMatrixElement wasn't enabled for
	SoCallbackAction (ouch).

1999-11-17 14:48  mortene

	* src/actions/SoPickAction.cpp:
	Added SO_ACTION_CONSTRUCTOR, in case it will later be expanded to
	contain anything important.

1999-11-17 14:43  mortene

	* include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	src/actions/SoCallbackAction.cpp,
	src/elements/SoTextureImageElement.cpp, src/misc/SoState.cpp,
	src/nodes/SoAnnoText3Property.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoCoordinate4.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoLOD.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPickStyle.cpp, src/nodes/SoPolygonOffset.cpp,
	src/nodes/SoProfile.cpp, src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoShapeHints.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoTexture2.cpp,
	src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/nodes.metadon:
	Implemented SoCallbackAction + callbackaction node methods. Plus a
	few other fixes. Everything by pederb.

1999-11-17 09:55  mortene

	* src/nodekits/SoBaseKit.cpp:
	Fixed a MSVC6 warning, as reported by Larry D'Cunha of Okino.

1999-11-17 09:53  mortene

	* include/Inventor/fields/SoFieldData.h:
	Fixed a MSVC6 warning on a mismatch in a forward declaration, as
	reported by Larry D'Cunha of Okino.

1999-11-16 22:33  mortene

	* include/Inventor/nodekits/SoBaseKit.h,
	src/nodekits/SoBaseKit.cpp:
	Started implementation properly.

1999-11-16 22:32  mortene

	* src/nodekits/SoNodekitCatalog.cpp:
	Simple bugfix in the argument checking.

1999-11-16 20:43  mortene

	* include/Inventor/nodekits/SoBaseKit.h,
	src/nodekits/SoBaseKit.cpp:
	Skeleton for the SoBaseKit class.

1999-11-16 20:42  mortene

	* include/Inventor/nodekits/SoSceneKit.h:
	Public methods were not within a public section.

1999-11-16 19:16  mortene

	* src/nodekits/SoNodekitCatalog.cpp:
	Implemented SoNodekitCatalog::clone().

1999-11-16 19:15  mortene

	* README:
	Removed some "obsoleted" text.

1999-11-16 16:05  mortene

	* src/nodes/SoLevelOfDetail.cpp:
	Traversal code by pederb.

1999-11-16 16:01  mortene

	* README, docs/todo.txt:
	Cleaned up files after they where used to debug the "cvs
	commit"-to- mailinglist pipeline mechanisms.

1999-11-16 15:50  mortene

	* docs/todo.txt, README, docs/todo.txt, README:
	Debugging commit->mailinglist pipe.

1999-11-16 15:46  mortene

	* README, docs/todo.txt, docs/todo.txt:
	Debugging commit->mailinglist pipe.

1999-11-16 15:42  mortene

	* docs/todo.txt, docs/todo.txt, README:
	Debugging commit->mailinglist pipe.

1999-11-16 15:35  mortene

	* README, docs/todo.txt, README, docs/todo.txt:
	Debugging commit->mailinglist pipe.

1999-11-16 15:31  mortene

	* README, docs/todo.txt, README, docs/todo.txt:
	Debugging cvs commit to mailinglist pipe.

1999-11-16 15:25  mortene

	* README, docs/todo.txt:
	Commit testing.

1999-11-16 15:14  mortene

	* README, docs/todo.txt:
	Commit testing.

1999-11-16 14:49  mortene

	* README, docs/todo.txt:
	Testing cvs commit mailinglist.

1999-11-16 14:46  mortene

	* docs/todo.txt:
	Misc.

1999-11-16 14:38  mortene

	* src/: misc/SoBase.cpp, misc/SoInput.cpp, nodes/SoGroup.cpp:
	Temporary fix for import problems.

1999-11-16 13:17  mortene

	* docs/todo.txt:
	Removed unnecessary item.

1999-11-16 13:11  mortene

	* README:
	Dummy change to test cvs commit forwarding to mailinglist.

1999-11-16 13:10  mortene

	* docs/todo.txt:
	Removed item.

1999-11-15 20:47  mortene

	* include/Inventor/nodekits/SoNodekitCatalog.h,
	src/nodekits/SoNodekitCatalog.cpp:
	Implemented all methods of SoNodekitCatalog except ::clone() and
	::recursiveSearch().

1999-11-15 10:08  mortene

	* TODO:
	Added support entry.

1999-11-15 10:05  mortene

	* TODO:
	Moved item from "todo" to "done".

1999-11-15 09:59  mortene

	* README:
	Dummy change to test loginfo mechanisms.

1999-11-15 09:16  mortene

	* README:
	Dummy change to test loginfo mechanisms.

1999-11-14 22:28  mortene

	* TODO:
	Doc fixes.

1999-11-14 20:24  mortene

	* configure.in:
	Moved a bunch of configure code to the conf-macros module to share
	with other projects.

1999-11-14 17:35  mortene

	* autogen.sh, configure.in:
	Moved "link with -lm" autoconf check into its own macro.

1999-11-14 15:29  mortene

	* src/misc/SoDB.cpp:
	Small import fix.

1999-11-14 15:26  mortene

	* src/base/SbString.cpp:
	Better sharing of code.

1999-11-14 15:26  mortene

	* scripts/coin.el:
	Small fix to ELisp convenience function.

1999-11-14 15:25  mortene

	* TODO:
	Added build item.

1999-11-14 15:25  mortene

	* src/misc/: SoOutput.cpp, SoInput.cpp:
	Misc small fixes.

1999-11-14 15:25  mortene

	* include/Inventor/fields/SoSFNode.h, src/fields/SoMFNode.cpp,
	src/fields/SoSFNode.cpp, src/misc/SoBase.cpp,
	src/nodes/SoGroup.cpp:
	Import/export for SoSFNode and SoMFNode.

1999-11-13 18:05  mortene

	* include/Inventor/actions/SoWriteAction.h,
	src/actions/SoWriteAction.cpp:
	Shared common constructor code.

1999-11-13 18:05  mortene

	* include/Inventor/misc/SoBase.h, src/fields/SoSFNode.cpp:
	_Finally_ found an elegant way of handling SoSFNode::write.

1999-11-13 18:04  mortene

	* src/nodes/SoVertexProperty.cpp:
	Make export more in compliance with OIV.

1999-11-13 16:26  mortene

	* include/Inventor/misc/SoBase.h:
	Necessary fix for SoSFNode::write().

1999-11-13 16:25  mortene

	* models/oiv_compliance/pointset.iv:
	Expanded test.

1999-11-13 16:25  mortene

	* src/fields/SoMFMatrix.cpp:
	Make output match OIV's.

1999-11-13 16:24  mortene

	* src/fields/SoSFImage.cpp:
	Codestyle fixes.

1999-11-13 16:23  mortene

	* src/: misc/SoBase.cpp, fields/SoMField.cpp:
	Bugfixes.

1999-11-13 16:23  mortene

	* src/misc/SoDB.cpp:
	Improved code a little bit.

1999-11-13 16:22  mortene

	* src/: fields/SoSFNode.cpp, nodes/SoGroup.cpp, nodes/SoNode.cpp:
	Export support fixes.

1999-11-13 16:19  mortene

	* src/nodes/SoNormalBinding.cpp:
	Added support for obsoleted enum, plus export fix.

1999-11-13 16:19  mortene

	* src/nodes/SoSwitch.cpp:
	Export fix.

1999-11-12 16:17  mortene

	* include/Inventor/nodes/SoShape.h,
	src/actions/SoRayPickAction.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoPointSet.cpp, src/nodes/SoShape.cpp:
	Picking for SoPointSet and SoIndexedLineSet, by pederb.

1999-11-12 12:26  mortene

	* include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/nodes/SoShape.h, src/actions/SoAction.cpp,
	src/actions/SoGLRenderAction.cpp, src/actions/SoRayPickAction.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoShape.cpp:
	* misc action traversal fixes * intersection with lines
	..by pederb.

1999-11-12 12:23  mortene

	* src/: base/SbOctTree.cpp, bundles/SoTextureCoordinateBundle.cpp:
	Bugfix, pederb.

1999-11-12 12:22  mortene

	* src/lists/SoActionMethodList.cpp:
	pederb improved code readability.

1999-11-12 09:30  mortene

	* src/nodes/SoShape.cpp:
	Added missing math.h include, as reported by Larry D'Cunha of
	Okino.

1999-11-11 23:14  mortene

	* include/Inventor/nodekits/SoNodekitCatalog.h,
	src/nodekits/SoNodekitCatalog.cpp:
	Skeleton for nodekit catalog class.

1999-11-11 17:08  mortene

	* src/nodes/SoSphere.cpp:
	SCREEN_SPACE complexity for SoSphere, by pederb.

1999-11-11 16:50  mortene

	* include/Inventor/nodes/SoShape.h, src/nodes/SoCone.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoShape.cpp:
	Support for SCREEN_SPACE complexity in cones and cylinders by
	pederb.

1999-11-11 14:36  mortene

	* src/nodes/SoCone.cpp:
	Ray intersection testing code by pederb.

1999-11-11 14:36  mortene

	* src/nodes/SoCylinder.cpp:
	Bugfix by pederb: consider the "parts" field when doing ray
	intersection.

1999-11-11 10:28  mortene

	* src/lists/SoActionMethodList.cpp:
	Commented out debugging code and added typecast to try to get
	around a problem when compiling on MSVC6.

1999-11-10 22:16  mortene

	* src/nodes/SoCylinder.cpp:
	Added missing include.

1999-11-10 22:15  mortene

	* src/fields/SoSFBitMask.cpp:
	Added FIXME.

1999-11-10 22:15  mortene

	* include/Inventor/lists/SoActionMethodList.h,
	src/lists/SoActionMethodList.cpp:
	Clean-ups.

1999-11-10 22:14  mortene

	* include/Inventor/actions/SoAction.h:
	Removed redundant forward declaration.

1999-11-10 17:35  mortene

	* src/actions/SoRayPickAction.cpp:
	Fixed SoRayPickAction so ordering of hits are correct. pederb.

1999-11-10 17:12  mortene

	* src/elements/SoGLShadeModelElement.cpp:
	Bugfix by pederb.

1999-11-10 17:09  mortene

	* include/Inventor/lists/SoActionMethodList.h,
	src/actions/SoAction.cpp, src/actions/SoRayPickAction.cpp,
	src/lists/SoActionMethodList.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoSphere.cpp:
	* fixed a bug in SoActionMethodList (mortene) * added intersection
	testing for SoRayPickAction in SoSphere and   SoCylinder (pederb) *
	misc SoRayPickAction bugfixes (pederb)

1999-11-10 17:07  mortene

	* TODO:
	Added item.

1999-11-10 13:28  mortene

	* src/nodes/SoQuadMesh.cpp:
	Bug fix by pederb.

1999-11-10 09:51  mortene

	* src/misc/SoImageInterface.cpp:
	Moved some more of the code inside #ifdef HAVE_SIMAGE to avoid
	warnings.  Reported by Larry D'Cunha of Okino.

1999-11-10 09:50  mortene

	* src/elements/SoModelMatrixElement.cpp:
	Fixed a bug reported by Larry D'Cunha of Okino.

1999-11-09 22:10  mortene

	* src/misc/SoType.cpp:
	One bugfix. Added parameter checking to a method.

1999-11-09 22:09  mortene

	* include/Inventor/details/DetailHeader.tpl,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoTextDetail.h,
	src/details/DetailSource.tpl, src/details/Makefile.am,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp:
	Added SoNodeKitDetail implementation, minor fix to class
	documentation header.

1999-11-09 22:08  mortene

	* include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoSubEngine.h,
	src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp, src/engines/SoConcatenate.cpp,
	src/engines/SoConvertAll.cpp, src/engines/SoCounter.cpp,
	src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoFieldConverter.cpp,
	src/engines/SoGate.cpp, src/engines/SoInterpolateAbs.cpp,
	src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoOnOff.cpp,
	src/engines/SoOneShot.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoTriggerAny.cpp:
	Type-system fixes.

1999-11-09 22:06  mortene

	* src/fields/: FieldInitClass.tpl, SoField.cpp, SoMFBitMask.cpp,
	SoMFBool.cpp, SoMFColor.cpp, SoMFEngine.cpp, SoMFEnum.cpp,
	SoMFFloat.cpp, SoMFInt32.cpp, SoMFMatrix.cpp, SoMFName.cpp,
	SoMFNode.cpp, SoMFPath.cpp, SoMFPlane.cpp, SoMFRotation.cpp,
	SoMFShort.cpp, SoMFString.cpp, SoMFTime.cpp, SoMFUInt32.cpp,
	SoMFUShort.cpp, SoMFVec2f.cpp, SoMFVec3f.cpp, SoMFVec4f.cpp,
	SoSFBitMask.cpp, SoSFBool.cpp, SoSFColor.cpp, SoSFEngine.cpp,
	SoSFEnum.cpp, SoSFFloat.cpp, SoSFImage.cpp, SoSFInt32.cpp,
	SoSFMatrix.cpp, SoSFName.cpp, SoSFNode.cpp, SoSFPath.cpp,
	SoSFPlane.cpp, SoSFRotation.cpp, SoSFShort.cpp, SoSFString.cpp,
	SoSFTime.cpp, SoSFTrigger.cpp, SoSFUInt32.cpp, SoSFUShort.cpp,
	SoSFVec2f.cpp, SoSFVec3f.cpp, SoSFVec4f.cpp:
	Fixed type system (was fubar).

1999-11-09 22:04  mortene

	* src/errors/: SoDebugError.cpp, SoError.cpp, SoMemoryError.cpp,
	SoReadError.cpp:
	Type-system related fixes.

1999-11-09 22:03  mortene

	* include/Inventor/SbBasic.h.in:
	Added more documentation groups for Doxygen.

1999-11-09 17:31  mortene

	* include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodes/SoSubNode.h,
	src/VRMLnodes/SoVRMLInterpolator.cpp,
	src/fields/SoFieldContainer.cpp, src/nodekits/SoAppearanceKit.cpp,
	src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoLightKit.cpp, src/nodekits/SoSceneKit.cpp,
	src/nodekits/SoSeparatorKit.cpp, src/nodekits/SoShapeKit.cpp,
	src/nodekits/SoWrapperKit.cpp, src/nodes/SoAnnoText3.cpp,
	src/nodes/SoAnnoText3Property.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoBlinker.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCone.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoCoordinate4.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoDirectionalLight.cpp,
	src/nodes/SoDrawStyle.cpp, src/nodes/SoEnvironment.cpp,
	src/nodes/SoEventCallback.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFaceSet.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoImage.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLevelOfSimplification.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNonIndexedShape.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp,
	src/nodes/SoOrthographicCamera.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPathSwitch.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoVertexShape.cpp, src/nodes/SoWWWAnchor.cpp,
	src/nodes/SoWWWInline.cpp:
	Made nodes and nodekits use internal version of the initialization
	macros, to make sure they get the correct typenames and that they
	set up their isBuiltIn flags correctly.

1999-11-09 16:17  mortene

	* src/elements/SoGLColorIndexElement.cpp:
	Forgot to remove this unused file in last cleanup, detected by
	pederb.

1999-11-09 15:22  mortene

	* docs/coin.doxygen, include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/engines/SoInterpolate.h, src/elements/Makefile.am,
	src/elements/SoDirectionalLightElement.cpp,
	src/engines/Makefile.am, src/engines/SoInterpolate.cpp:
	Removed some unused source files, as suggested by pederb.

1999-11-09 15:14  mortene

	* include/Inventor/SbViewVolume.h,
	include/Inventor/actions/SoSubAction.h, src/base/SbOctTree.cpp,
	src/base/SbViewVolume.cpp,
	src/elements/SoDirectionalLightElement.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPlane.cpp, src/fields/SoMFShort.cpp,
	src/fields/SoMFUShort.cpp, src/nodes/SoMultipleCopy.cpp,
	src/nodes/SoTransformSeparator.cpp:
	Fixes for MSVC6.0 compilation by pederb.

1999-11-09 13:44  mortene

	* include/Inventor/SoPickedPoint.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/nodes/SoShape.h,
	src/bundles/SoTextureCoordinateBundle.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/misc/SoGLTristripTemplate.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoIndexedFaceSet.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoTriangleStripSet.cpp:
	Various generatePrimitives() implementations and fixes by pederb.

1999-11-08 21:12  mortene

	* docs/coin.doxygen,
	include/Inventor/actions/SoGenerateNormalsAction.h,
	include/Inventor/actions/SoGraphVerifyAction.h,
	src/actions/SoGenerateNormalsAction.cpp,
	src/actions/SoGraphVerifyAction.cpp, src/actions/actions.metadon:
	Removed non-OIV actions.

1999-11-08 21:10  mortene

	* include/Inventor/SoType.h, src/lists/SoActionMethodList.cpp,
	src/misc/SoType.cpp:
	Fixed SoType behaviour on getAllDerivedFrom().

1999-11-08 20:29  mortene

	* Metadon.conf, TODO, configure.in, src/Makefile.am, src/SoDB.cpp,
	src/SoFullPath.cpp, src/SoImageInterface.cpp, src/SoInput.cpp,
	src/SoInteraction.cpp, src/SoOutput.cpp, src/SoPath.cpp,
	src/SoPickedPoint.cpp, src/SoPrimitiveVertex.cpp,
	src/SoSceneManager.cpp, src/SoType.cpp, src/dummy.cpp,
	src/general.metadon, src/misc/Makefile.am, src/misc/SoDB.cpp,
	src/misc/SoFullPath.cpp, src/misc/SoImageInterface.cpp,
	src/misc/SoInput.cpp, src/misc/SoInteraction.cpp,
	src/misc/SoOutput.cpp, src/misc/SoPath.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoType.cpp,
	src/misc/general.metadon:
	Moved source files from src/ to src/misc/ to improve the
	possibilities of doing quick turn-around time in compile-link
	cycles when using the dynamic link library hack.

1999-11-08 18:32  mortene

	* docs/plan.txt:
	Minor corrections and additions.

1999-11-08 16:14  mortene

	* include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoVertexShape.h, src/SoPrimitiveVertex.cpp,
	src/actions/SoRayPickAction.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/misc/SoGLFaceSetTemplate.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoMaterialBinding.cpp,
	src/nodes/SoNode.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoQuadMesh.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoTriangleStripSet.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoVertexShape.cpp:
	More RayPickAction-related work (plus some minor fixes here and
	there) from pederb.

1999-11-08 12:03  mortene

	* Makefile.am, autogen.sh, configure.in, src/Makefile.am:
	Misc fixes to the configure and build process, larsa & mortene.

1999-11-07 19:58  mortene

	* TODO, configure.in, examples/Makefile.am:
	Added example program which lists inheritance hierarchies in Coin,
	based on the functionality provided by SoType.

1999-11-07 18:50  mortene

	* src/: SoDB.cpp, SoInteraction.cpp, nodekits/SoNodeKit.cpp,
	nodes/SoNode.cpp:
	Initialize nodekit and interaction classes correctly.

1999-11-07 15:36  mortene

	* configure.in, docs/plan.txt, include/Inventor/SbBasic.h.in,
	include/Inventor/SoDB.h, include/Inventor/SoInput.h,
	include/Inventor/SoInteraction.h, include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoPath.h, include/Inventor/SoPickedPoint.h,
	include/Inventor/SoType.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/actions/ActionHeader.tpl,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoGraphVerifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/elements/AbstractElementHeader.tpl,
	include/Inventor/elements/ElementHeader.tpl,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/fields/Field.tpl,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h, include/Inventor/misc/SoBase.h,
	include/Inventor/misc/SoBasic.h,
	include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodekits/SoNodekitCatalog.h,
	include/Inventor/nodekits/SoSceneKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/nodes/ClassTypeAbstractInterface.tpl,
	include/Inventor/nodes/ClassTypeInterface.tpl,
	include/Inventor/nodes/NodeAbstractHeader.tpl,
	include/Inventor/nodes/NodeHeader.tpl,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLevelOfSimplification.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h, scripts/coin.el,
	src/Makefile.am, src/SoDB.cpp, src/SoInput.cpp,
	src/SoInteraction.cpp, src/SoPath.cpp, src/SoPickedPoint.cpp,
	src/SoType.cpp, src/VRMLnodes/SoVRMLInterpolator.cpp,
	src/actions/SoAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoGraphVerifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/elements/CleanAbstractElementSource.tpl,
	src/elements/CleanElementSource.tpl,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDirectionalLightElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPROTOElement.cpp, src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/fields/SoMFBitMask.cpp,
	src/fields/SoMFBool.cpp, src/fields/SoMFColor.cpp,
	src/fields/SoMFEngine.cpp, src/fields/SoMFEnum.cpp,
	src/fields/SoMFFloat.cpp, src/fields/SoMFInt32.cpp,
	src/fields/SoMFMatrix.cpp, src/fields/SoMFName.cpp,
	src/fields/SoMFNode.cpp, src/fields/SoMFPath.cpp,
	src/fields/SoMFPlane.cpp, src/fields/SoMFRotation.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoMFString.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoMFUInt32.cpp,
	src/fields/SoMFUShort.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFVec3f.cpp, src/fields/SoMFVec4f.cpp,
	src/fields/SoMField.cpp, src/fields/SoSFBitMask.cpp,
	src/fields/SoSFBool.cpp, src/fields/SoSFColor.cpp,
	src/fields/SoSFEngine.cpp, src/fields/SoSFEnum.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFImage.cpp,
	src/fields/SoSFInt32.cpp, src/fields/SoSFMatrix.cpp,
	src/fields/SoSFName.cpp, src/fields/SoSFNode.cpp,
	src/fields/SoSFPath.cpp, src/fields/SoSFPlane.cpp,
	src/fields/SoSFRotation.cpp, src/fields/SoSFShort.cpp,
	src/fields/SoSFString.cpp, src/fields/SoSFTime.cpp,
	src/fields/SoSFTrigger.cpp, src/fields/SoSFUInt32.cpp,
	src/fields/SoSFUShort.cpp, src/fields/SoSFVec2f.cpp,
	src/fields/SoSFVec3f.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoSField.cpp, src/misc/SoBase.cpp,
	src/nodekits/Makefile.am, src/nodekits/SoAppearanceKit.cpp,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoCameraKit.cpp,
	src/nodekits/SoInteractionKit.cpp, src/nodekits/SoLightKit.cpp,
	src/nodekits/SoNodeKit.cpp, src/nodekits/SoNodeKitListPart.cpp,
	src/nodekits/SoNodeKitPath.cpp, src/nodekits/SoNodekitCatalog.cpp,
	src/nodekits/SoSceneKit.cpp, src/nodekits/SoSeparatorKit.cpp,
	src/nodekits/SoShapeKit.cpp, src/nodekits/SoWrapperKit.cpp,
	src/nodekits/nodekits.metadon,
	src/nodes/InitNodeAbstractSource.tpl, src/nodes/InitNodeSource.tpl,
	src/nodes/NodeAbstractClassTypeImplementation.tpl,
	src/nodes/NodeAbstractSource.tpl,
	src/nodes/NodeClassTypeSource.tpl, src/nodes/NodeConstructor.tpl,
	src/nodes/NodeSource.tpl, src/nodes/SoAnnoText3.cpp,
	src/nodes/SoAnnoText3Property.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoBlinker.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCone.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoCoordinate4.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoDirectionalLight.cpp,
	src/nodes/SoDrawStyle.cpp, src/nodes/SoEnvironment.cpp,
	src/nodes/SoEventCallback.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFaceSet.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoImage.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLevelOfSimplification.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNonIndexedShape.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp,
	src/nodes/SoOrthographicCamera.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPathSwitch.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoVertexShape.cpp, src/nodes/SoWWWAnchor.cpp,
	src/nodes/SoWWWInline.cpp:
	* removed the "cleanClass" and "clean" methods -- almost all of
	them were   empty, and we should anyway use a better technique for
	doing cleanup at   exit -- ANSI C or POSIX provides a hook we could
	use.
	* moved common code in node classes from templates to macros.
	* added class definition and code skeletons for all nodekit related
	classes.
	* misc other minor fixes.

1999-11-05 14:50  mortene

	* src/actions/SoRayPickAction.cpp:
	Bugfix by pederb.

1999-11-04 15:08  mortene

	* include/Inventor/SbDict.h, include/Inventor/SbViewVolume.h,
	include/Inventor/SoPath.h, include/Inventor/SoPickedPoint.h,
	include/Inventor/SoType.h, include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/lists/SbList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	models/oiv_compliance/includefile.iv, src/SoDB.cpp, src/SoPath.cpp,
	src/SoPickedPoint.cpp, src/SoType.cpp,
	src/actions/ActionSource.tpl, src/actions/SoAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoGraphVerifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/base/SbBox3f.cpp, src/base/SbDict.cpp, src/base/SbRotation.cpp,
	src/base/SbViewVolume.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/lists/SoActionMethodList.cpp, src/misc/SoGLFaceSetTemplate.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoClipPlane.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCone.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoCoordinate4.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoMarkerSet.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoMaterialBinding.cpp,
	src/nodes/SoMatrixTransform.cpp, src/nodes/SoMultipleCopy.cpp,
	src/nodes/SoNode.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/nodes/SoPickStyle.cpp, src/nodes/SoPointLight.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoResetTransform.cpp,
	src/nodes/SoRotation.cpp, src/nodes/SoRotationXYZ.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoShapeHints.cpp,
	src/nodes/SoSpotLight.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTransform.cpp, src/nodes/SoTransformSeparator.cpp,
	src/nodes/SoTransformation.cpp, src/nodes/SoTranslation.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoVertexProperty.cpp:
	Start of interaction support in Coin by pederb (yay!). Patch also
	includes misc other fixes.

1999-11-03 13:51  mortene

	* configure.in:
	Fix stupid default behaviour from g++. Reported by pederb.

1999-11-03 11:41  mortene

	* HACKING:
	Minor change.

1999-11-03 11:08  mortene

	* configure.in:
	Better detection for g++ when using "g++-only" supported features.
	Problems reported by pederb.

1999-11-01 16:20  mortene

	* docs/plan.txt:
	Minor updates/fixes.

1999-11-01 16:14  mortene

	* src/nodes/SoPerspectiveCamera.cpp:
	BeOS needs math.h to be included to see atan(). Reported by larsa.

1999-11-01 15:51  mortene

	* configure.in:
	Autoconf code to see if we need "-lm" when linking. By larsa.

1999-11-01 09:59  mortene

	* src/base/SbDict.cpp:
	Minor codestyle fixes.

1999-11-01 09:45  mortene

	* include/Inventor/events/SoEvents.h, src/events/Makefile.am:
	Add "convenience-header" SoEvents.h.

1999-11-01 09:41  mortene

	* docs/plan.txt:
	Added a small point.

1999-10-31 16:52  mortene

	* docs/plan.txt:
	Started writing "milestones"-paper.

1999-10-27 15:05  mortene

	* src/caches/SoNormalCache.cpp:
	Bugfix by pederb.

1999-10-26 15:55  mortene

	* src/: Makefile.am, actions/Makefile.am, elements/Makefile.am,
	engines/Makefile.am, errors/Makefile.am, events/Makefile.am,
	fields/Makefile.am, nodes/Makefile.am, projectors/Makefile.am,
	sensors/Makefile.am:
	Added header files missing from the installation process, as
	discovered by pederb.

1999-10-26 15:32  mortene

	* configure.in, include/Inventor/details/DetailHeader.tpl,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoTextDetail.h, src/Makefile.am,
	src/SoDB.cpp, src/details/DetailSource.tpl,
	src/details/Makefile.am, src/details/SoConeDetail.cpp,
	src/details/SoCubeDetail.cpp, src/details/SoCylinderDetail.cpp,
	src/details/SoDetail.cpp, src/details/SoFaceDetail.cpp,
	src/details/SoLineDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp:
	Initial implementation of the detail classes by pederb.

1999-10-25 20:31  mortene

	* include/Inventor/elements/SoElement.h,
	include/Inventor/lists/SbList.h,
	include/Inventor/lists/SoTypeList.h, src/SoType.cpp,
	src/elements/SoElement.cpp, src/lists/SoEnabledElementsList.cpp,
	src/lists/SoTypeList.cpp:
	Made SoTypeList inherit SbList<SoType> instead of the generic (void
	*) SbPList, which cleaned out a number of ugly hacks.

1999-10-19 18:06  mortene

	* acsite.m4, configure.in:
	Quick hack as a work-around for when MesaGL needs -lm, as reported
	by kintel.

1999-10-19 17:53  mortene

	* include/Inventor/SbBasic.h.in:
	Removed unnecessary parentheses in inline function (my mistake, I
	was thinking in terms of macros).

1999-10-19 13:38  mortene

	* include/Inventor/SbTesselator.h, src/base/SbTesselator.cpp:
	Updates to SbTesselator by pederb.

1999-10-14 23:09  mortene

	* docs/Configure.help:
	File not in use anymore.

1999-10-14 11:58  mortene

	* include/Inventor/lists/SbList.h:
	pederb fixed a nasty bug.

1999-10-14 11:57  mortene

	* src/base/SbPlane.cpp:
	SbPlane::isInHalfSpace() can use SbPlane::getDistance().

1999-10-13 10:14  mortene

	* include/Inventor/SbBasic.h.in, include/Inventor/SbMatrix.h,
	include/Inventor/SbPlane.h, src/base/Makefile.am,
	src/base/SbMatrix.cpp, src/base/SbPlane.cpp,
	src/base/SbTesselator.cpp:
	pederb added a few new methods (SbMatrix and SbPlane, SbSqr in
	SbBasic.h), and did a few clean-ups (SbPlane and SbTesselator).

1999-10-13 10:11  mortene

	* include/Inventor/SbOctTree.h, src/base/SbOctTree.cpp:
	pederb added oct-tree class.

1999-10-09 22:35  mortene

	* examples/.cvsignore, src/VRMLnodes/.cvsignore,
	src/actions/.cvsignore, src/base/.cvsignore,
	src/bundles/.cvsignore, src/caches/.cvsignore,
	src/elements/.cvsignore, src/engines/.cvsignore,
	src/errors/.cvsignore, src/events/.cvsignore,
	src/fields/.cvsignore, src/lists/.cvsignore, src/misc/.cvsignore,
	src/nodekits/.cvsignore, src/nodes/.cvsignore,
	src/projectors/.cvsignore, src/sensors/.cvsignore:
	Added missing files to .cvsignore.

1999-10-09 21:56  mortene

	* HACKING, Makefile.am, TODO, configure.in, docs/todo.txt,
	examples/Makefile.am:
	Added first example to distribution: a clone of OIV's ``ivcat''
	tool.

1999-10-09 21:54  mortene

	* src/: fields/SoMField.cpp, nodes/SoVertexShape.cpp:
	A couple of minor writeaction related things.

1999-10-09 14:02  mortene

	* Metadon.conf, configure.in, scripts/metadon, scripts/metadon.pl,
	src/.cvsignore, src/Base.in, src/General.in, src/Makefile.am,
	src/SbBSPTree.cpp, src/SbBox2f.cpp, src/SbBox2s.cpp,
	src/SbBox3f.cpp, src/SbColor.cpp, src/SbColor4f.cpp,
	src/SbCylinder.cpp, src/SbDict.cpp, src/SbHeap.cpp, src/SbLine.cpp,
	src/SbMatrix.cpp, src/SbName.cpp, src/SbPlane.cpp,
	src/SbRotation.cpp, src/SbSphere.cpp, src/SbString.cpp,
	src/SbTesselator.cpp, src/SbTime.cpp, src/SbVec2f.cpp,
	src/SbVec2s.cpp, src/SbVec3f.cpp, src/SbVec4f.cpp,
	src/SbViewVolume.cpp, src/SbViewportRegion.cpp, src/SbXfBox3f.cpp,
	src/general.metadon, src/actions/Config.in,
	src/actions/actions.metadon, src/base/.cvsignore,
	src/base/Makefile.am, src/base/SbBSPTree.cpp, src/base/SbBox2f.cpp,
	src/base/SbBox2s.cpp, src/base/SbBox3f.cpp, src/base/SbColor.cpp,
	src/base/SbColor4f.cpp, src/base/SbCylinder.cpp,
	src/base/SbDict.cpp, src/base/SbHeap.cpp, src/base/SbLine.cpp,
	src/base/SbMatrix.cpp, src/base/SbName.cpp, src/base/SbPlane.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbString.cpp, src/base/SbTesselator.cpp,
	src/base/SbTime.cpp, src/base/SbVec2f.cpp, src/base/SbVec2s.cpp,
	src/base/SbVec3f.cpp, src/base/SbVec4f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbViewportRegion.cpp,
	src/base/SbXfBox3f.cpp, src/base/base.metadon,
	src/bundles/Config.in, src/bundles/bundles.metadon,
	src/caches/Config.in, src/caches/caches.metadon,
	src/details/Config.in, src/details/details.metadon,
	src/draggers/Config.in, src/draggers/draggers.metadon,
	src/elements/Config.in, src/elements/elements.metadon,
	src/engines/Config.in, src/engines/engines.metadon,
	src/errors/Config.in, src/errors/errors.metadon,
	src/events/Config.in, src/events/events.metadon,
	src/fields/Config.in, src/fields/fields.metadon,
	src/lists/Config.in, src/lists/lists.metadon, src/manips/Config.in,
	src/manips/manips.metadon, src/nodekits/Config.in,
	src/nodekits/nodekits.metadon, src/nodes/Config.in,
	src/nodes/nodes.metadon, src/projectors/Config.in,
	src/projectors/projectors.metadon, src/sensors/Config.in,
	src/sensors/sensors.metadon:
	Did some restructuring.

1999-10-08 18:20  mortene

	* include/Inventor/SbHeap.h, include/Inventor/SbTesselator.h,
	include/Inventor/misc/SoTessellator.h, src/Makefile.am,
	src/SbHeap.cpp, src/SbTesselator.cpp,
	src/caches/SoConvexDataCache.cpp, src/misc/Makefile.am,
	src/misc/SoTessellator.cpp, src/nodes/SoFaceSet.cpp:
	Moved code in misc/SoTesselator to a new class SbTesselator. Added
	SbHeap.  By pederb.

1999-10-06 14:06  mortene

	* acconfig.h, autogen.sh, include/Inventor/SbBasic.h.in:
	HAVE_LIBSIMAGE is now defined if the simage library is found on the
	system (a bug prevented this from happening).

1999-10-02 10:03  mortene

	* .cvsignore, docs/todo.txt, include/Inventor/.cvsignore,
	src/coindev/.cvsignore, src/nodes/Makefile.am:
	Misc minor fixes.

1999-10-01 09:14  mortene

	* include/Inventor/elements/SoWindowElement.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/system/inttypes.h, src/SoDB.cpp,
	src/misc/SoGL.cpp, src/nodes/SoText2.cpp:
	Fixes from pederb to make Coin compile with gcc under BeOS.

1999-09-30 09:39  mortene

	* TODO:
	Added item.

1999-09-30 09:18  mortene

	* docs/coin.doxygen:
	Made a small work-around for a doxygen problem.

1999-09-29 10:44  mortene

	* src/fields/SoField.cpp:
	Made a work-around for what looks like a bug in egcs-2.91.66 and
	gcc 2.95.

1999-09-28 14:56  mortene

	* TODO, docs/todo.txt:
	Moved a few items from docs/todo.txt into TODO.

1999-09-28 14:53  mortene

	* TODO:
	Added entry. mortene.

1999-09-26 21:27  mortene

	* HACKING, TODO, configure.in,
	docs/whitepapers/oiv_compatibility.txt, src/Makefile.am,
	src/coindev/Makefile.am, src/coindev/coindev.cpp:
	Added "testlib" idea from DDJ article for blindingly fast
	turn-around time in normal compile + link cycles.

1999-09-26 13:54  mortene

	* TODO, configure.in:
	Look in the --prefix directory for libsimage if not found in any
	default locations.

1999-09-26 12:20  mortene

	* configure.in, src/Makefile.am, src/VRMLnodes/Makefile.am,
	src/actions/Makefile.am, src/bundles/Makefile.am,
	src/caches/Makefile.am, src/elements/Makefile.am,
	src/engines/Makefile.am, src/errors/Makefile.am,
	src/events/Makefile.am, src/fields/Makefile.am,
	src/lists/Makefile.am, src/misc/Makefile.am,
	src/nodekits/Makefile.am, src/nodes/Makefile.am,
	src/projectors/Makefile.am, src/sensors/Makefile.am:
	Implemented "modules as dynamic libraries" hack to speed up the
	turn-around time when doing compile + link.

1999-09-25 18:55  mortene

	* configure.in, include/Inventor/SbTime.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoImageInterface.h,
	include/Inventor/SoSceneManager.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGenerateNormalsAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoGraphVerifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoColorPacker.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/engines/InterpolateHeader.tpl,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoExpressionParser.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/misc/SoChildList.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoTessellator.h,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLevelOfSimplification.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	src/SbBox2f.cpp, src/SbLine.cpp, src/SbMatrix.cpp, src/SbName.cpp,
	src/SbViewVolume.cpp, src/SoDB.cpp, src/SoFullPath.cpp,
	src/SoInput.cpp, src/SoOutput.cpp, src/SoPath.cpp,
	src/SoPickedPoint.cpp, src/SoSceneManager.cpp,
	src/VRMLnodes/SoVRMLInterpolator.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoGraphVerifyAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/bundles/SoMaterialBundle.cpp, src/caches/SoCache.cpp,
	src/elements/InitElementSource.tpl,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoColorPacker.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDirectionalLightElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPROTOElement.cpp, src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp, src/engines/SoBoolOperation.cpp,
	src/engines/SoCalculator.cpp, src/engines/SoComposeMatrix.cpp,
	src/engines/SoConvertAll.cpp, src/engines/SoEngine.cpp,
	src/engines/SoExpressionParser.cpp,
	src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/events/SoButtonEvent.cpp, src/events/SoEvent.cpp,
	src/events/SoKeyboardEvent.cpp, src/events/SoLocation2Event.cpp,
	src/events/SoMotion3Event.cpp, src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/fields/SoFieldData.cpp,
	src/fields/SoMFBitMask.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFColor.cpp, src/fields/SoMFEngine.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFFloat.cpp,
	src/fields/SoMFInt32.cpp, src/fields/SoMFMatrix.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/fields/SoMFShort.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFTime.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoMFUShort.cpp,
	src/fields/SoMFVec2f.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMField.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoSFEngine.cpp,
	src/fields/SoSFEnum.cpp, src/fields/SoSFFloat.cpp,
	src/fields/SoSFImage.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFRotation.cpp, src/fields/SoSFShort.cpp,
	src/fields/SoSFString.cpp, src/fields/SoSFTime.cpp,
	src/fields/SoSFTrigger.cpp, src/fields/SoSFUInt32.cpp,
	src/fields/SoSFUShort.cpp, src/fields/SoSFVec2f.cpp,
	src/fields/SoSFVec3f.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoSField.cpp, src/lists/SbList.cpp,
	src/lists/SoBaseList.cpp, src/lists/SoTypeList.cpp,
	src/misc/SoBase.cpp, src/misc/SoChildList.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLFaceSetTemplate.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoGLTristripTemplate.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoTessellator.cpp, src/nodes/SoAnnoText3.cpp,
	src/nodes/SoAnnoText3Property.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoBlinker.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCone.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoCoordinate4.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoImage.cpp, src/nodes/SoIndexedFaceSet.cpp,
	src/nodes/SoIndexedLineSet.cpp, src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoLOD.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLevelOfSimplification.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoNurbsCurve.cpp, src/nodes/SoNurbsProfile.cpp,
	src/nodes/SoNurbsSurface.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPathSwitch.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPickStyle.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoProfile.cpp, src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoSelection.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoSphere.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTranslation.cpp,
	src/nodes/SoTriangleStripSet.cpp, src/nodes/SoUnits.cpp,
	src/nodes/SoVertexProperty.cpp, src/nodes/SoVertexShape.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/sensors/SoDataSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp:
	Fixed _all_ compiler warnings found with egcs 1.0.2, plus fixed a
	shitload of irritating things in coding style.

1999-09-24 17:04  mortene

	* TODO:
	Added item.

1999-09-24 14:43  mortene

	* TODO, configure.in:
	Added options in configure.in for controlling g++ RTTI and
	exceptions in the compile.

1999-09-24 13:49  mortene

	* TODO:
	Added items.

1999-09-23 14:46  mortene

	* include/Inventor/SbTime.h, src/SbTime.cpp:
	Renamed SbTime::max() to SbTime::maxTime() under Win32 because of
	name pollution from the Win32 headers. pederb.

1999-09-23 08:31  mortene

	* include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h, scripts/templant,
	src/SbName.cpp, src/VRMLnodes/SoVRMLInterpolator.cpp,
	src/actions/SoAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp, src/actions/SoPickAction.cpp,
	src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDirectionalLightElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoPROTOElement.cpp, src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/lists/SoEnabledElementsList.cpp, src/misc/SoChildList.cpp,
	src/misc/SoGL.cpp, src/misc/SoGLFaceSetTemplate.cpp,
	src/misc/SoGLTristripTemplate.cpp:
	Cleaned up the sources a bit to be more in conformance with the
	wanted coding style.

1999-09-19 20:29  mortene

	* TODO, acsite.m4, configure.in, docs/todo.txt:
	Removed old build-system. Added OpenGL compile/link flags in
	configure.in.

1999-09-17 12:24  mortene

	* TODO:
	Added entry on .h-file installation.

1999-09-17 12:15  mortene

	* src/: SbMatrix.cpp, SbName.cpp, SbTime.cpp, SoFullPath.cpp,
	actions/SoGetBoundingBoxAction.cpp,
	actions/SoGraphVerifyAction.cpp, actions/SoSearchAction.cpp,
	elements/AbstractElementClassTypeSource.tpl,
	elements/AbstractElementSource.tpl,
	elements/SoAccumulatedElement.cpp,
	elements/SoAmbientColorElement.cpp,
	elements/SoAnnoText3CharOrientElement.cpp,
	elements/SoAnnoText3FontSizeHintElement.cpp,
	elements/SoAnnoText3RenderPrintElement.cpp,
	elements/SoBBoxModelMatrixElement.cpp, elements/SoCacheElement.cpp,
	elements/SoClipPlaneElement.cpp, elements/SoColorPacker.cpp,
	elements/SoComplexityElement.cpp,
	elements/SoComplexityTypeElement.cpp,
	elements/SoCoordinateElement.cpp,
	elements/SoCreaseAngleElement.cpp,
	elements/SoDecimationPercentageElement.cpp,
	elements/SoDecimationTypeElement.cpp,
	elements/SoDiffuseColorElement.cpp,
	elements/SoDirectionalLightElement.cpp,
	elements/SoDrawStyleElement.cpp, elements/SoElement.cpp,
	elements/SoEmissiveColorElement.cpp,
	elements/SoEnvironmentElement.cpp, elements/SoFloatElement.cpp,
	elements/SoFocalDistanceElement.cpp,
	elements/SoFontNameElement.cpp, elements/SoFontSizeElement.cpp,
	elements/SoGLAmbientColorElement.cpp,
	elements/SoGLClipPlaneElement.cpp,
	elements/SoGLCoordinateElement.cpp,
	elements/SoGLDiffuseColorElement.cpp,
	elements/SoGLDrawStyleElement.cpp,
	elements/SoGLEmissiveColorElement.cpp,
	elements/SoGLEnvironmentElement.cpp,
	elements/SoGLLightIdElement.cpp,
	elements/SoGLLightModelElement.cpp,
	elements/SoGLLinePatternElement.cpp,
	elements/SoGLLineWidthElement.cpp,
	elements/SoGLModelMatrixElement.cpp,
	elements/SoGLNormalElement.cpp, elements/SoGLNormalizeElement.cpp,
	elements/SoGLPointSizeElement.cpp,
	elements/SoGLPolygonOffsetElement.cpp,
	elements/SoGLPolygonStippleElement.cpp,
	elements/SoGLProjectionMatrixElement.cpp,
	elements/SoGLRenderPassElement.cpp,
	elements/SoGLShadeModelElement.cpp,
	elements/SoGLShapeHintsElement.cpp,
	elements/SoGLShininessElement.cpp,
	elements/SoGLSpecularColorElement.cpp,
	elements/SoGLTextureCoordinateElement.cpp,
	elements/SoGLTextureEnabledElement.cpp,
	elements/SoGLTextureImageElement.cpp,
	elements/SoGLTextureMatrixElement.cpp,
	elements/SoGLUpdateAreaElement.cpp,
	elements/SoGLViewingMatrixElement.cpp,
	elements/SoGLViewportRegionElement.cpp,
	elements/SoInt32Element.cpp,
	elements/SoLightAttenuationElement.cpp,
	elements/SoLightElement.cpp, elements/SoLightModelElement.cpp,
	elements/SoLinePatternElement.cpp, elements/SoLineWidthElement.cpp,
	elements/SoLocalBBoxMatrixElement.cpp,
	elements/SoMaterialBindingElement.cpp,
	elements/SoModelMatrixElement.cpp,
	elements/SoNormalBindingElement.cpp, elements/SoNormalElement.cpp,
	elements/SoPROTOElement.cpp, elements/SoPickRayElement.cpp,
	elements/SoPickStyleElement.cpp, elements/SoPointSizeElement.cpp,
	elements/SoPolygonOffsetElement.cpp,
	elements/SoProfileCoordinateElement.cpp,
	elements/SoProfileElement.cpp,
	elements/SoProjectionMatrixElement.cpp,
	elements/SoReplacedElement.cpp, elements/SoShapeHintsElement.cpp,
	elements/SoShininessElement.cpp,
	elements/SoSpecularColorElement.cpp, elements/SoSwitchElement.cpp,
	elements/SoTextOutlineEnabledElement.cpp,
	elements/SoTextureCoordinateBindingElement.cpp,
	elements/SoTextureCoordinateElement.cpp,
	elements/SoTextureImageElement.cpp,
	elements/SoTextureMatrixElement.cpp,
	elements/SoTextureQualityElement.cpp,
	elements/SoTransparencyElement.cpp, elements/SoUnitsElement.cpp,
	elements/SoViewVolumeElement.cpp,
	elements/SoViewingMatrixElement.cpp,
	elements/SoViewportRegionElement.cpp, elements/SoWindowElement.cpp,
	engines/SoExpressionParser.cpp, errors/SoDebugError.cpp,
	errors/SoError.cpp, errors/SoMemoryError.cpp, lists/SbList.cpp,
	nodes/SoSwitch.cpp, nodes/SoTexture2.cpp:
	Code cleanups, removed redundant comments at the end of function
	blocks. E.g.  this:
	void myfunc(void) {   ..stuff..  } // myfunc
	..becomes
	void myfunc(void) {   ..stuff..  }

1999-09-17 11:59  mortene

	* include/Inventor/: SoFullPath.h,
	actions/SoBoxHighlightRenderAction.h, actions/SoCallbackAction.h,
	actions/SoGLRenderAction.h, actions/SoGenerateNormalsAction.h,
	actions/SoGetBoundingBoxAction.h, actions/SoGetMatrixAction.h,
	actions/SoGetPrimitiveCountAction.h,
	actions/SoGlobalSimplifyAction.h, actions/SoGraphVerifyAction.h,
	actions/SoHandleEventAction.h,
	actions/SoLineHighlightRenderAction.h, actions/SoPickAction.h,
	actions/SoRayPickAction.h, actions/SoReorganizeAction.h,
	actions/SoSearchAction.h, actions/SoShapeSimplifyAction.h,
	actions/SoSimplifyAction.h, actions/SoToVRML2Action.h,
	actions/SoToVRMLAction.h, bundles/SoBundle.h,
	bundles/SoMaterialBundle.h, bundles/SoTextureCoordinateBundle.h,
	caches/SoBoundingBoxCache.h, caches/SoCache.h,
	caches/SoConvexDataCache.h, caches/SoNormalCache.h,
	caches/SoTextureCoordinateCache.h, elements/SoAccumulatedElement.h,
	elements/SoAmbientColorElement.h,
	elements/SoAnnoText3CharOrientElement.h,
	elements/SoAnnoText3FontSizeHintElement.h,
	elements/SoAnnoText3RenderPrintElement.h,
	elements/SoBBoxModelMatrixElement.h, elements/SoCacheElement.h,
	elements/SoClipPlaneElement.h, elements/SoColorPacker.h,
	elements/SoComplexityElement.h, elements/SoComplexityTypeElement.h,
	elements/SoCoordinateElement.h, elements/SoCreaseAngleElement.h,
	elements/SoDecimationPercentageElement.h,
	elements/SoDecimationTypeElement.h,
	elements/SoDiffuseColorElement.h, elements/SoDrawStyleElement.h,
	elements/SoEmissiveColorElement.h, elements/SoEnvironmentElement.h,
	elements/SoFloatElement.h, elements/SoFocalDistanceElement.h,
	elements/SoFontNameElement.h, elements/SoFontSizeElement.h,
	elements/SoGLAmbientColorElement.h,
	elements/SoGLClipPlaneElement.h, elements/SoGLCoordinateElement.h,
	elements/SoGLDiffuseColorElement.h,
	elements/SoGLDrawStyleElement.h,
	elements/SoGLEmissiveColorElement.h, elements/SoGLLightIdElement.h,
	elements/SoGLLightModelElement.h,
	elements/SoGLLinePatternElement.h, elements/SoGLLineWidthElement.h,
	elements/SoGLModelMatrixElement.h, elements/SoGLNormalElement.h,
	elements/SoGLPointSizeElement.h,
	elements/SoGLPolygonOffsetElement.h,
	elements/SoGLPolygonStippleElement.h,
	elements/SoGLProjectionMatrixElement.h,
	elements/SoGLRenderPassElement.h, elements/SoGLShapeHintsElement.h,
	elements/SoGLShininessElement.h,
	elements/SoGLSpecularColorElement.h,
	elements/SoGLTextureCoordinateElement.h,
	elements/SoGLTextureEnabledElement.h,
	elements/SoGLTextureImageElement.h,
	elements/SoGLTextureMatrixElement.h,
	elements/SoGLUpdateAreaElement.h,
	elements/SoGLViewingMatrixElement.h,
	elements/SoGLViewportRegionElement.h, elements/SoInt32Element.h,
	elements/SoLightAttenuationElement.h, elements/SoLightElement.h,
	elements/SoLightModelElement.h, elements/SoLinePatternElement.h,
	elements/SoLineWidthElement.h, elements/SoLocalBBoxMatrixElement.h,
	elements/SoMaterialBindingElement.h,
	elements/SoModelMatrixElement.h, elements/SoNormalBindingElement.h,
	elements/SoNormalElement.h, elements/SoPROTOElement.h,
	elements/SoPickRayElement.h, elements/SoPickStyleElement.h,
	elements/SoPointSizeElement.h, elements/SoPolygonOffsetElement.h,
	elements/SoProfileCoordinateElement.h, elements/SoProfileElement.h,
	elements/SoProjectionMatrixElement.h,
	elements/SoShapeHintsElement.h, elements/SoShininessElement.h,
	elements/SoSpecularColorElement.h, elements/SoSwitchElement.h,
	elements/SoTextOutlineEnabledElement.h,
	elements/SoTextureCoordinateBindingElement.h,
	elements/SoTextureCoordinateElement.h,
	elements/SoTextureImageElement.h,
	elements/SoTextureMatrixElement.h,
	elements/SoTextureQualityElement.h,
	elements/SoTransparencyElement.h, elements/SoUnitsElement.h,
	elements/SoViewVolumeElement.h, elements/SoViewingMatrixElement.h,
	engines/SoInterpolateFloat.h, engines/SoInterpolateRotation.h,
	engines/SoInterpolateVec2f.h, engines/SoInterpolateVec3f.h,
	errors/SoError.h, errors/SoMemoryError.h, lists/SoBaseList.h,
	lists/SoDetailList.h, lists/SoEngineList.h,
	lists/SoPickedPointList.h, lists/SoTypeList.h,
	nodes/SoIndexedFaceSet.h:
	Cleaned up the source code a bit by removing closing comments on
	class declarations. E.g. this:
	class MyClass { }; // class MyClass
	..had the redundant comment at the end removed.

1999-09-17 10:50  mortene

	* include/Inventor/SbBasic.h.in:
	NDEBUG flag removed, as it has been included in the configuration
	scheme.

1999-09-14 11:47  mortene

	* TODO:
	Added idea for shortening turn-around time when building.

1999-07-01 01:51  mortene

	* LICENSE.QPL, Metadon.conf, info.cvs, docs/Configure.help,
	docs/coin.doxygen, docs/todo.txt,
	docs/whitepapers/oiv_compatibility.txt,
	include/Inventor/.cvsignore, include/Inventor/Sb.h,
	include/Inventor/SbBSPTree.h, include/Inventor/SbBasic.h,
	include/Inventor/SbBox.h, include/Inventor/SbBox2f.h,
	include/Inventor/SbBox2s.h, include/Inventor/SbBox3f.h,
	include/Inventor/SbColor.h, include/Inventor/SbColor4f.h,
	include/Inventor/SbCylinder.h, include/Inventor/SbDict.h,
	include/Inventor/SbLine.h, include/Inventor/SbLinear.h,
	include/Inventor/SbMatrix.h, include/Inventor/SbName.h,
	include/Inventor/SbPList.h, include/Inventor/SbPlane.h,
	include/Inventor/SbRotation.h, include/Inventor/SbSphere.h,
	include/Inventor/SbString.h, include/Inventor/SbTime.h,
	include/Inventor/SbVec2f.h, include/Inventor/SbVec2s.h,
	include/Inventor/SbVec3f.h, include/Inventor/SbVec4f.h,
	include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoImageInterface.h,
	include/Inventor/SoInput.h, include/Inventor/SoInteraction.h,
	include/Inventor/SoLists.h, include/Inventor/SoOutput.h,
	include/Inventor/SoPath.h, include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/confdep.h,
	include/Inventor/VRMLnodes/SoVRMLInterpOutput.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/actions/ActionClassTypeHeader.tpl,
	include/Inventor/actions/ActionHeader.tpl,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGenerateNormalsAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoGraphVerifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/elements/AbstractElementClassTypeHeader.tpl,
	include/Inventor/elements/AbstractElementHeader.tpl,
	include/Inventor/elements/ElementClassTypeHeader.tpl,
	include/Inventor/elements/ElementHeader.tpl,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoColorPacker.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/InterpolateHeader.tpl,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoExpressionParser.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoInterpolateAbs.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/events/EventHeader.tpl,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/Field.tpl,
	include/Inventor/fields/FieldConstructor.tpl,
	include/Inventor/fields/MField.tpl,
	include/Inventor/fields/MFieldDerived.tpl,
	include/Inventor/fields/MFieldDerivedValue.tpl,
	include/Inventor/fields/MFieldRW.tpl,
	include/Inventor/fields/MFieldValue.tpl,
	include/Inventor/fields/SField.tpl,
	include/Inventor/fields/SFieldDerived.tpl,
	include/Inventor/fields/SFieldDerivedValue.tpl,
	include/Inventor/fields/SFieldRW.tpl,
	include/Inventor/fields/SFieldValue.tpl,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoFieldData.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/lists/SbIntList.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoCallbackList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/lists/SoVRMLInterpOutputList.h,
	include/Inventor/misc/SoAuditorList.h,
	include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	include/Inventor/misc/SoCallbackList.h,
	include/Inventor/misc/SoChildList.h, include/Inventor/misc/SoGL.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/misc/SoTessellator.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodes/ClassTypeAbstractInterface.tpl,
	include/Inventor/nodes/ClassTypeInterface.tpl,
	include/Inventor/nodes/NodeAbstractHeader.tpl,
	include/Inventor/nodes/NodeHeader.tpl,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLevelOfSimplification.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbProjectors.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h,
	include/Inventor/system/inttypes.h,
	include/Inventor/system/kosher.h, models/dead_simple/array.iv,
	models/dead_simple/cone.iv, models/dead_simple/cube.iv,
	models/dead_simple/group.iv, models/dead_simple/misc.iv,
	models/dead_simple/multiplecopy.iv,
	models/dead_simple/rotated_cube.iv, models/dead_simple/sphere.iv,
	models/oiv_compliance/annotation.iv,
	models/oiv_compliance/antisquish.iv,
	models/oiv_compliance/array.iv, models/oiv_compliance/basecolor.iv,
	models/oiv_compliance/blinker.iv,
	models/oiv_compliance/clipplane.iv, models/oiv_compliance/cone.iv,
	models/oiv_compliance/cube.iv, models/oiv_compliance/cylinder.iv,
	models/oiv_compliance/directionallight.iv,
	models/oiv_compliance/drawstyle.iv,
	models/oiv_compliance/environment.iv,
	models/oiv_compliance/faceset.iv, models/oiv_compliance/file.iv,
	models/oiv_compliance/font.iv, models/oiv_compliance/fontstyle.iv,
	models/oiv_compliance/image.iv,
	models/oiv_compliance/includefile.iv,
	models/oiv_compliance/indexedfaceset.iv,
	models/oiv_compliance/indexedlineset.iv,
	models/oiv_compliance/indexedtrianglestripset.iv,
	models/oiv_compliance/levelofdetail.iv,
	models/oiv_compliance/lightmodel.iv,
	models/oiv_compliance/lineset.iv,
	models/oiv_compliance/locatehighlight.iv,
	models/oiv_compliance/lod.iv, models/oiv_compliance/markerset.iv,
	models/oiv_compliance/material.iv,
	models/oiv_compliance/materialbinding.iv,
	models/oiv_compliance/matrixtransform.iv,
	models/oiv_compliance/multiplecopy.iv,
	models/oiv_compliance/normalbinding.iv,
	models/oiv_compliance/packedcolor.iv,
	models/oiv_compliance/pendulum.iv,
	models/oiv_compliance/pointlight.iv,
	models/oiv_compliance/pointset.iv,
	models/oiv_compliance/polygonoffset.iv,
	models/oiv_compliance/quadmesh.iv,
	models/oiv_compliance/resettransform.iv,
	models/oiv_compliance/rotation.iv,
	models/oiv_compliance/rotationxyz.iv,
	models/oiv_compliance/rotor.iv, models/oiv_compliance/scale.iv,
	models/oiv_compliance/shapehints.iv,
	models/oiv_compliance/shuttle.iv, models/oiv_compliance/sphere.iv,
	models/oiv_compliance/spotlight.iv,
	models/oiv_compliance/switch.iv, models/oiv_compliance/text2.iv,
	models/oiv_compliance/texture2.iv,
	models/oiv_compliance/texture2transform.iv,
	models/oiv_compliance/texturecoordinatebinding.iv,
	models/oiv_compliance/texturecoordinatedefault.iv,
	models/oiv_compliance/texturecoordinateenvironment.iv,
	models/oiv_compliance/texturecoordinateplane.iv,
	models/oiv_compliance/transform.iv,
	models/oiv_compliance/transformseparator.iv,
	models/oiv_compliance/translation.iv,
	models/oiv_compliance/trianglestripset.iv,
	models/oiv_compliance/units.iv,
	models/oiv_compliance/camera/README,
	models/oiv_compliance/camera/aspectRatio_0.iv,
	models/oiv_compliance/camera/aspectRatio_1.iv,
	models/oiv_compliance/camera/aspectRatio_2.iv,
	models/oiv_compliance/camera/aspectRatio_3.iv,
	models/oiv_compliance/camera/aspectRatio_4.iv,
	models/oiv_compliance/camera/aspectRatio_5.iv,
	models/oiv_compliance/camera/viewportMapping_0.iv,
	models/oiv_compliance/camera/viewportMapping_1.iv,
	models/oiv_compliance/camera/viewportMapping_2.iv,
	models/oiv_compliance/camera/viewportMapping_3.iv,
	models/oiv_compliance/camera/viewportMapping_4.iv, scripts/README,
	scripts/coin.el, scripts/gpp, scripts/metadon, scripts/templant,
	src/Base.in, src/General.in, src/SbBSPTree.cpp, src/SbBox2f.cpp,
	src/SbBox2s.cpp, src/SbBox3f.cpp, src/SbColor.cpp,
	src/SbColor4f.cpp, src/SbCylinder.cpp, src/SbDict.cpp,
	src/SbLine.cpp, src/SbMatrix.cpp, src/SbName.cpp, src/SbPlane.cpp,
	src/SbRotation.cpp, src/SbSphere.cpp, src/SbString.cpp,
	src/SbTime.cpp, src/SbVec2f.cpp, src/SbVec2s.cpp, src/SbVec3f.cpp,
	src/SbVec4f.cpp, src/SbViewVolume.cpp, src/SbViewportRegion.cpp,
	src/SbXfBox3f.cpp, src/SoDB.cpp, src/SoFullPath.cpp,
	src/SoImageInterface.cpp, src/SoInput.cpp, src/SoInteraction.cpp,
	src/SoOutput.cpp, src/SoPath.cpp, src/SoPickedPoint.cpp,
	src/SoPrimitiveVertex.cpp, src/SoSceneManager.cpp, src/SoType.cpp,
	src/VRMLnodes/SoVRMLInterpOutput.cpp,
	src/VRMLnodes/SoVRMLInterpolator.cpp,
	src/actions/ActionClassTypeSource.tpl,
	src/actions/ActionSource.tpl, src/actions/Config.in,
	src/actions/InitActionSource.tpl, src/actions/SoAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGenerateNormalsAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoGraphVerifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/bundles/Config.in, src/bundles/SoBundle.cpp,
	src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp, src/caches/Config.in,
	src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	src/caches/SoConvexDataCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp, src/details/Config.in,
	src/draggers/Config.in,
	src/elements/AbstractElementClassTypeSource.tpl,
	src/elements/AbstractElementSource.tpl,
	src/elements/CleanAbstractElementSource.tpl,
	src/elements/CleanElementSource.tpl, src/elements/Config.in,
	src/elements/ElementClassTypeSource.tpl,
	src/elements/ElementSource.tpl,
	src/elements/InitAbstractElementSource.tpl,
	src/elements/InitElementSource.tpl,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoColorPacker.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDirectionalLightElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLColorIndexElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPROTOElement.cpp, src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp, src/engines/Config.in,
	src/engines/InterpolateSource.tpl, src/engines/SoBoolOperation.cpp,
	src/engines/SoCalculator.cpp, src/engines/SoComposeMatrix.cpp,
	src/engines/SoComposeRotation.cpp, src/engines/SoComposeVec2f.cpp,
	src/engines/SoComposeVec3f.cpp, src/engines/SoComposeVec4f.cpp,
	src/engines/SoConcatenate.cpp, src/engines/SoConvertAll.cpp,
	src/engines/SoCounter.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoExpressionParser.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateAbs.cpp,
	src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoOnOff.cpp,
	src/engines/SoOneShot.cpp, src/engines/SoSelectOne.cpp,
	src/engines/SoTriggerAny.cpp, src/engines/calculator.atg,
	src/errors/Config.in, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/events/Config.in,
	src/events/EventInitClass.tpl, src/events/EventSource.tpl,
	src/events/SoButtonEvent.cpp, src/events/SoEvent.cpp,
	src/events/SoKeyboardEvent.cpp, src/events/SoLocation2Event.cpp,
	src/events/SoMotion3Event.cpp, src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/fields/Config.in,
	src/fields/FieldEqSame.tpl, src/fields/FieldId.tpl,
	src/fields/FieldInitClass.tpl, src/fields/MField.tpl,
	src/fields/MFieldAlloc.tpl, src/fields/MFieldConstructor.tpl,
	src/fields/MFieldRequired.tpl, src/fields/MFieldValue.tpl,
	src/fields/SField.tpl, src/fields/SFieldRequired.tpl,
	src/fields/SoField.cpp, src/fields/SoFieldContainer.cpp,
	src/fields/SoFieldData.cpp, src/fields/SoMFBitMask.cpp,
	src/fields/SoMFBool.cpp, src/fields/SoMFColor.cpp,
	src/fields/SoMFEngine.cpp, src/fields/SoMFEnum.cpp,
	src/fields/SoMFFloat.cpp, src/fields/SoMFInt32.cpp,
	src/fields/SoMFMatrix.cpp, src/fields/SoMFName.cpp,
	src/fields/SoMFNode.cpp, src/fields/SoMFPath.cpp,
	src/fields/SoMFPlane.cpp, src/fields/SoMFRotation.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoMFString.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoMFUInt32.cpp,
	src/fields/SoMFUShort.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFVec3f.cpp, src/fields/SoMFVec4f.cpp,
	src/fields/SoMField.cpp, src/fields/SoSFBitMask.cpp,
	src/fields/SoSFBool.cpp, src/fields/SoSFColor.cpp,
	src/fields/SoSFEngine.cpp, src/fields/SoSFEnum.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFImage.cpp,
	src/fields/SoSFInt32.cpp, src/fields/SoSFMatrix.cpp,
	src/fields/SoSFName.cpp, src/fields/SoSFNode.cpp,
	src/fields/SoSFPath.cpp, src/fields/SoSFPlane.cpp,
	src/fields/SoSFRotation.cpp, src/fields/SoSFShort.cpp,
	src/fields/SoSFString.cpp, src/fields/SoSFTime.cpp,
	src/fields/SoSFTrigger.cpp, src/fields/SoSFUInt32.cpp,
	src/fields/SoSFUShort.cpp, src/fields/SoSFVec2f.cpp,
	src/fields/SoSFVec3f.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoSField.cpp, src/lists/Config.in,
	src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	src/lists/SoActionMethodList.cpp, src/lists/SoAuditorList.cpp,
	src/lists/SoBaseList.cpp, src/lists/SoCallbackList.cpp,
	src/lists/SoDetailList.cpp, src/lists/SoEnabledElementsList.cpp,
	src/lists/SoEngineList.cpp, src/lists/SoEngineOutputList.cpp,
	src/lists/SoFieldList.cpp, src/lists/SoNodeList.cpp,
	src/lists/SoPathList.cpp, src/lists/SoPickedPointList.cpp,
	src/lists/SoTypeList.cpp, src/lists/SoVRMLInterpOutputList.cpp,
	src/manips/Config.in, src/misc/SoBase.cpp,
	src/misc/SoChildList.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLFaceSetTemplate.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoGLTristripTemplate.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoNotification.cpp, src/misc/SoState.cpp,
	src/misc/SoTessellator.cpp, src/nodekits/Config.in,
	src/nodekits/SoNodeKit.cpp, src/nodes/Config.in,
	src/nodes/InitNodeAbstractSource.tpl, src/nodes/InitNodeSource.tpl,
	src/nodes/NodeAbstractClassTypeImplementation.tpl,
	src/nodes/NodeAbstractSource.tpl,
	src/nodes/NodeClassTypeSource.tpl, src/nodes/NodeConstructor.tpl,
	src/nodes/NodeSource.tpl, src/nodes/SoAnnoText3.cpp,
	src/nodes/SoAnnoText3Property.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoBlinker.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoComplexity.cpp,
	src/nodes/SoCone.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoCoordinate4.cpp, src/nodes/SoCube.cpp,
	src/nodes/SoCylinder.cpp, src/nodes/SoDirectionalLight.cpp,
	src/nodes/SoDrawStyle.cpp, src/nodes/SoEnvironment.cpp,
	src/nodes/SoEventCallback.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFaceSet.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoGroup.cpp, src/nodes/SoImage.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLevelOfSimplification.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNonIndexedShape.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp,
	src/nodes/SoOrthographicCamera.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPathSwitch.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoVertexShape.cpp, src/nodes/SoWWWAnchor.cpp,
	src/nodes/SoWWWInline.cpp, src/projectors/Config.in,
	src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp, src/sensors/Config.in,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp:
	Created

1999-07-01 01:51  mortene

	* LICENSE.QPL, Metadon.conf, info.cvs, docs/Configure.help,
	docs/coin.doxygen, docs/todo.txt,
	docs/whitepapers/oiv_compatibility.txt,
	include/Inventor/.cvsignore, include/Inventor/Sb.h,
	include/Inventor/SbBSPTree.h, include/Inventor/SbBasic.h,
	include/Inventor/SbBox.h, include/Inventor/SbBox2f.h,
	include/Inventor/SbBox2s.h, include/Inventor/SbBox3f.h,
	include/Inventor/SbColor.h, include/Inventor/SbColor4f.h,
	include/Inventor/SbCylinder.h, include/Inventor/SbDict.h,
	include/Inventor/SbLine.h, include/Inventor/SbLinear.h,
	include/Inventor/SbMatrix.h, include/Inventor/SbName.h,
	include/Inventor/SbPList.h, include/Inventor/SbPlane.h,
	include/Inventor/SbRotation.h, include/Inventor/SbSphere.h,
	include/Inventor/SbString.h, include/Inventor/SbTime.h,
	include/Inventor/SbVec2f.h, include/Inventor/SbVec2s.h,
	include/Inventor/SbVec3f.h, include/Inventor/SbVec4f.h,
	include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoImageInterface.h,
	include/Inventor/SoInput.h, include/Inventor/SoInteraction.h,
	include/Inventor/SoLists.h, include/Inventor/SoOutput.h,
	include/Inventor/SoPath.h, include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/confdep.h,
	include/Inventor/VRMLnodes/SoVRMLInterpOutput.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/actions/ActionClassTypeHeader.tpl,
	include/Inventor/actions/ActionHeader.tpl,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGenerateNormalsAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoGraphVerifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/elements/AbstractElementClassTypeHeader.tpl,
	include/Inventor/elements/AbstractElementHeader.tpl,
	include/Inventor/elements/ElementClassTypeHeader.tpl,
	include/Inventor/elements/ElementHeader.tpl,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoColorPacker.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
